Package org.apache.xmlbeans

## Class XmlErrorCodes

- java.lang.Object
- - org.apache.xmlbeans.XmlErrorCodes

-     public abstract class XmlErrorCodes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ALL_GROUP_LIMITED` | cos-all-limited: See XMLSchema Structures 1.0: All Group Limited
    `static String` | `ALL_GROUP_LIMITED$CHILD_PARTICLES_MAX_LTE_1` | cos-all-limited.2: See clause 2 of XMLSchema Structures 1.0: All Group Limited
    `static String` | `ALL_GROUP_LIMITED$IN_COMPLEX_TYPE_DEF_PARTICLE` | cos-all-limited.1.2b: See clause 1.2 of XMLSchema Structures 1.0: All Group Limited
    `static String` | `ALL_GROUP_LIMITED$IN_MIN_MAX_1_PARTICLE` | cos-all-limited.1.2a: See clause 1.2 of XMLSchema Structures 1.0: All Group Limited
    `static String` | `ANNO_PROPERTIES` | an-props-correct: See XMLSchema Structures 1.0: Annotation Correct
    `static String` | `ANYURI` | anyURI: See XMLSchema Datatypes 1.0: anyURI
    `static String` | `ASSESS_ATTR_SCHEMA_VALID` | cvc-assess-attr: See XMLSchema Structures 1.0: Schema-Validity Assessment (Attribute)
    `static String` | `ASSESS_ATTR_SCHEMA_VALID$NOT_RESOLVED` | cvc-assess-attr.1.2: See clause 1.2 of XMLSchema Structures 1.0: Schema-Validity Assessment (Attribute)
    `static String` | `ASSESS_ELEM_SCHEMA_VALID` | cvc-assess-elt: See XMLSchema Structures 1.0: Schema-Validity Assessment (Element)
    `static String` | `ASSESS_ELEM_SCHEMA_VALID$NOT_RESOLVED` | cvc-assess-elt.1.1.1.3.2: See clause 1.1.1.3.2 of XMLSchema Structures 1.0: Schema-Validity Assessment (Element)
    `static String` | `ATTR_COMPATIBILITY_TARGETNS` | XMLSchema Datatypes 1.0: Definition of type NOTATION
    `static String` | `ATTR_GROUP_PROPERTIES` | ag-props-correct: See XMLSchema Structures 1.0: Attribute Group Definition Properties Correct
    `static String` | `ATTR_GROUP_PROPERTIES$2` | ag-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Attribute Group Definition Properties Correct
    `static String` | `ATTR_GROUP_PROPERTIES$TWO_IDS` | ag-props-correct.3: See clause 3 of XMLSchema Structures 1.0: Attribute Group Definition Properties Correct
    `static String` | `ATTR_LOCALLY_VALID` | cvc-attribute: See XMLSchema Structures 1.0: Attribute Locally Valid
    `static String` | `ATTR_LOCALLY_VALID$FIXED` | cvc-attribute.4: See clause 4 of XMLSchema Structures 1.0: Attribute Locally Valid
    `static String` | `ATTR_LOCALLY_VALID$NO_TYPE` | cvc-attribute.1: See clause 1 of XMLSchema Structures 1.0: Attribute Locally Valid
    `static String` | `ATTR_NOTATION_TYPE_FORBIDDEN` | enumeration-required-notation: See XMLSchema Datatypes 1.0: Schema Component Constraint: enumeration facet value required for NOTATION
    `static String` | `ATTR_PROPERTIES` | a-props-correct: See XMLSchema Structures 1.0: Attribute Declaration Properties Correct
    `static String` | `ATTR_PROPERTIES$CONSTRAINT_VALID` | a-props-correct.2: See clause 2 of XMLSchema Spec: Attribute Declaration Properties
    `static String` | `ATTR_PROPERTIES$ID_FIXED_OR_DEFAULT` | a-props-correct.3: See clause 3 of XMLSchema Spec: Attribute Declaration Properties
    `static String` | `ATTR_USE_LOCALLY_VALID` | cvc-au: See XMLSchema Structures 1.0: Attribute Locally Valid (Use)
    `static String` | `ATTR_USE_PROPERTIES` | au-props-correct: See XMLSchema Structures 1.0: Attribute Use Correct
    `static String` | `ATTR_WILDCARD_INTERSECT` | cos-aw-intersect: See XMLSchema Structures 1.0: Attribute Wildcard Intersection
    `static String` | `ATTR_WILDCARD_UNION` | cos-aw-union: See XMLSchema Structures 1.0: Attribute Wildcard Union
    `static int` | `ATTRIBUTE_GROUP_MISSING_NAME` |
    `static int` | `ATTRIBUTE_GROUP_MISSING_REF` |
    `static String` | `BASE64BINARY` | base64Binary: See XMLSchema Datatypes 1.0: base64Binary
    `static String` | `BOOLEAN` | boolean: See XMLSchema Datatypes 1.0: boolean
    `static int` | `CANNOT_DERIVE_FINAL` |
    `static int` | `CANNOT_EXTEND_ALL` |
    `static int` | `CANNOT_FIND_RESOURCE` |
    `static String` | `CANNOT_LOAD_FILE` |
    `static String` | `CHOICE_RANGE` | cos-choice-range: See XMLSchema Structures 1.0: Effective Total Range (choice)
    `static String` | `COMPLEX_TYPE_DERIVATION` | cos-ct-derived-ok: See XMLSchema Structures 1.0: Type Derivation OK (Complex)
    `static String` | `COMPLEX_TYPE_EXTENSION` | cos-ct-extends: See XMLSchema Structures 1.0: Derivation Valid (Extension)
    `static String` | `COMPLEX_TYPE_EXTENSION$BOTH_ELEMEMENT_OR_MIXED` | cos-ct-extends.1.4.2.2: See clause 1.4.2.2 of XMLSchema Structures 1.0: Derivation Valid (Extension)
    `static String` | `COMPLEX_TYPE_EXTENSION$EXTENDING_SIMPLE_CONTENT` | cos-ct-extends.1.4.1: See clause 1.4.1 of XMLSchema Structures 1.0: Derivation Valid (Extension)
    `static String` | `COMPLEX_TYPE_EXTENSION$FINAL` | derivation-ok-restriction.1.1: See clause 1.1 of XMLSchema Structures 1.0: Derivation Valid (Extension)
    `static String` | `COMPLEX_TYPE_PROPERTIES` | ct-props-correct: See XMLSchema Structures 1.0: Complex Type Definition Properties Correct
    `static String` | `COMPLEX_TYPE_PROPERTIES$DUPLICATE_ATTRIBUTE` | ct-props-correct.4: See clause 4 of XMLSchema Structures 1.0: Complex Type Definition Properties Correct
    `static String` | `COMPLEX_TYPE_PROPERTIES$SIMPLE_TYPE_EXTENSION` | ct-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Complex Type Definition Properties Correct
    `static String` | `COMPLEX_TYPE_RESTRICTION` | derivation-ok-restriction: See XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$ATTR_IN_BASE_WILDCARD_SET` | derivation-ok-restriction.2.2: See clause 2.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$ATTR_REQUIRED` | derivation-ok-restriction.2.1.1: See clause 2.1.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$ATTR_WILDCARD_SUBSET` | derivation-ok-restriction.4.2: See clause 4.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$BASE_HAS_ATTR_WILDCARD` | derivation-ok-restriction.4.1: See clause 4.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_EMPTY` | derivation-ok-restriction.5.3b: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_MIXED` | derivation-ok-restriction.5.3a: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_SIMPLE` | derivation-ok-restriction.5.3c: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_VALID` | derivation-ok-restriction.5.3: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$EMPTY_AND_ELEMENT_OR_MIXED_EMPTIABLE` | derivation-ok-restriction.5.2.2: See clause 5.2.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$EMPTY_AND_NOT_SIMPLE` | derivation-ok-restriction.5.2: See clause 5.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$FINAL` | derivation-ok-restriction.1: See clause 1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$SC_AND_MIXED_EMPTIABLE` | derivation-ok-restriction.5.1.2: See clause 5.1.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$SC_AND_SIMPLE_TYPE_OR_MIXED` | derivation-ok-restriction.5.1: See clause 5.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static String` | `COMPLEX_TYPE_RESTRICTION$SC_NOT_DERIVED` | derivation-ok-restriction.5.2.2.1: See clause 5.2.2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
    `static int` | `CYCLIC_DEPENDENCY` |
    `static String` | `DATATYPE_CIRCULAR_UNION` | cos-no-circular-unions: See XMLSchema Datatypes 1.0: no circular unions
    `static String` | `DATATYPE_ENUM_NOTATION` | enumeration-required-notation: See XMLSchema Datatypes 1.0: enumeration facet value required for NOTATION
    `static String` | `DATATYPE_ENUM_RESTRICTION` | enumeration-valid-restriction: See XMLSchema Datatypes 1.0: enumeration valid restriction
    `static String` | `DATATYPE_ENUM_VALID` | cvc-enumeration-valid: See XMLSchema Datatypes 1.0: enumeration valid
    `static String` | `DATATYPE_ENUM_VALID$NO_VALUE` | cvc-enumeration-valid.b: See XMLSchema Datatypes 1.0: enumeration valid
    `static String` | `DATATYPE_FACET_VALID` | cvc-facet-valid: See XMLSchema Datatypes 1.0: Facet Valid
    `static String` | `DATATYPE_FRACTION_DIGITS_LE_TOTAL_DIGITS` | fractionDigits-totalDigits: See XMLSchema Datatypes 1.0: fractionDigits less than or equal to totalDigits
    `static String` | `DATATYPE_FRACTION_DIGITS_RESTRICTION` | fractionDigits-valid-restriction: See XMLSchema Datatypes 1.0: fractionDigits valid restriction
    `static String` | `DATATYPE_FRACTION_DIGITS_VALID` | cvc-fractionDigits-valid: See XMLSchema Datatypes 1.0: fractionDigits Valid
    `static String` | `DATATYPE_LENGTH` | length-minLength-maxLength: See XMLSchema Datatypes 1.0: length and minLength or maxLength
    `static String` | `DATATYPE_LENGTH_RESTRICTION` | length-valid-restriction: See XMLSchema Datatypes 1.0: length valid restriction
    `static String` | `DATATYPE_LENGTH_VALID` | cvc-length-valid: See XMLSchema Datatypes 1.0: Length Valid
    `static String` | `DATATYPE_LENGTH_VALID$BINARY` | cvc-length-valid.1.2: See clause 1.2 of XMLSchema Datatypes 1.0: Length Valid
    `static String` | `DATATYPE_LENGTH_VALID$LIST_LENGTH` | cvc-length-valid.2: See clause 2 of XMLSchema Datatypes 1.0: Length Valid
    `static String` | `DATATYPE_LENGTH_VALID$STRING` | cvc-length-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: Length Valid
    `static String` | `DATATYPE_LIST_OF_ATOMIC` | cos-list-of-atomic: See XMLSchema Datatypes 1.0: list of atomic
    `static String` | `DATATYPE_MAX_EXCLUSIVE_RESTRICTION` | maxExclusive-valid-restriction: See XMLSchema Datatypes 1.0: maxExclusive valid restriction
    `static String` | `DATATYPE_MAX_EXCLUSIVE_VALID` | cvc-maxExclusive-valid: See XMLSchema Datatypes 1.0: maxExclusive Valid
    `static String` | `DATATYPE_MAX_INCLUSIVE_RESTRICTION` | maxInclusive-valid-restriction: See XMLSchema Datatypes 1.0: maxInclusive valid restriction
    `static String` | `DATATYPE_MAX_INCLUSIVE_VALID` | cvc-maxInclusive-valid: See XMLSchema Datatypes 1.0: maxInclusive Valid
    `static String` | `DATATYPE_MAX_LENGTH_RESTRICTION` | maxLength-valid-restriction: See XMLSchema Datatypes 1.0: maxLength valid restriction
    `static String` | `DATATYPE_MAX_LENGTH_VALID` | cvc-maxLength-valid: See XMLSchema Datatypes 1.0: maxLength Valid
    `static String` | `DATATYPE_MAX_LENGTH_VALID$BINARY` | cvc-maxLength-valid.1.2: See clause 1.2 of XMLSchema Datatypes 1.0: maxLength Valid
    `static String` | `DATATYPE_MAX_LENGTH_VALID$LIST_LENGTH` | cvc-maxLength-valid.2: See clause 2 of XMLSchema Datatypes 1.0: maxLength Valid
    `static String` | `DATATYPE_MAX_LENGTH_VALID$STRING` | cvc-maxLength-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: maxLength Valid
    `static String` | `DATATYPE_MIN_EXCLUSIVE_LE_MAX_EXCLUSIVE` | minExclusive-less-than-equal-to-maxExclusive: See XMLSchema Datatypes 1.0: minExclusive <= maxExclusive
    `static String` | `DATATYPE_MIN_EXCLUSIVE_LE_MAX_INCLUSIVE` | minExclusive-less-than-maxInclusive: See XMLSchema Datatypes 1.0: minExclusive < maxInclusive
    `static String` | `DATATYPE_MIN_EXCLUSIVE_RESTRICTION` | minExclusive-valid-restriction: See XMLSchema Datatypes 1.0: minExclusive valid restriction
    `static String` | `DATATYPE_MIN_EXCLUSIVE_VALID` | cvc-minExclusive-valid: See XMLSchema Datatypes 1.0: minExclusive Valid
    `static String` | `DATATYPE_MIN_INCLUSIVE_LE_MAX_EXCLUSIVE` | minInclusive-less-than-maxExclusive: See XMLSchema Datatypes 1.0: minInclusive < maxExclusive
    `static String` | `DATATYPE_MIN_INCLUSIVE_LTE_MAX_INCLUSIVE` | minInclusive-less-than-equal-to-maxInclusive: See XMLSchema Datatypes 1.0: minInclusive <= maxInclusive
    `static String` | `DATATYPE_MIN_INCLUSIVE_MAX_EXCLUSIVE` | maxInclusive-maxExclusive: See XMLSchema Datatypes 1.0: maxInclusive and maxExclusive
    `static String` | `DATATYPE_MIN_INCLUSIVE_MIN_EXCLUSIVE` | minInclusive-minExclusive: See XMLSchema Datatypes 1.0: minInclusive and minExclusive
    `static String` | `DATATYPE_MIN_INCLUSIVE_RESTRICTION` | minInclusive-valid-restriction: See XMLSchema Datatypes 1.0: minInclusive valid restriction
    `static String` | `DATATYPE_MIN_INCLUSIVE_VALID` | cvc-minInclusive-valid: See XMLSchema Datatypes 1.0: minInclusive Valid
    `static String` | `DATATYPE_MIN_LENGTH_LE_MAX_LENGTH` | minLength-less-than-equal-to-maxLength: See XMLSchema Datatypes 1.0: minLength <= maxLength
    `static String` | `DATATYPE_MIN_LENGTH_RESTRICTION` | minLength-valid-restriction: See XMLSchema Datatypes 1.0: minLength valid restriction
    `static String` | `DATATYPE_MIN_LENGTH_VALID` | cvc-minLength-valid: See XMLSchema Datatypes 1.0: minLength Valid
    `static String` | `DATATYPE_MIN_LENGTH_VALID$BINARY` | cvc-minLength-valid.1.2: See clause 1.2 of XMLSchema Datatypes 1.0: minLength Valid
    `static String` | `DATATYPE_MIN_LENGTH_VALID$LIST_LENGTH` | cvc-minLength-valid.2: See clause 2 of XMLSchema Datatypes 1.0: minLength Valid
    `static String` | `DATATYPE_MIN_LENGTH_VALID$STRING` | cvc-minLength-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: minLength Valid
    `static String` | `DATATYPE_PATTERN_VALID` | cvc-pattern-valid: See XMLSchema Datatypes 1.0: pattern valid
    `static String` | `DATATYPE_SINGLE_FACET_VALUE` | src-single-facet-value: See XMLSchema Datatypes 1.0: Single Facet Value
    `static String` | `DATATYPE_TOTAL_DIGITS_RESTRICTION` | totalDigits-valid-restriction: See XMLSchema Datatypes 1.0: totalDigits valid restriction
    `static String` | `DATATYPE_TOTAL_DIGITS_VALID` | cvc-totalDigits-valid: See XMLSchema Datatypes 1.0: totalDigits Valid
    `static String` | `DATATYPE_VALID` | cvc-datatype-valid: See XMLSchema Datatypes 1.0: Datatype Valid
    `static String` | `DATATYPE_VALID$PATTERN_VALID` | cvc-datatype-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: Datatype Valid
    `static String` | `DATATYPE_VALID$PATTERN_VALID$NO_VALUE` | cvc-datatype-valid.1.1b: See clause 1.1 of XMLSchema Datatypes 1.0: Datatype Valid
    `static String` | `DATATYPE_VALID$UNION` | cvc-datatype-valid.1.2.3: See clause 1.2.3 of XMLSchema Datatypes 1.0: Datatype Valid
    `static String` | `DATATYPE_WHITESPACE_RESTRICTION` | whiteSpace-valid-restriction: See XMLSchema Datatypes 1.0: whiteSpace valid restriction
    `static String` | `DATE` | date: See XMLSchema Datatypes 1.0: date
    `static String` | `DECIMAL` | decimal: See XMLSchema Datatypes 1.0: decimal
    `static String` | `DOUBLE` | double: See XMLSchema Datatypes 1.0: double
    `static int` | `DUPLICATE_ANY_ATTRIBUTE` |
    `static int` | `DUPLICATE_ATTRIBUTE_NAME` |
    `static int` | `DUPLICATE_GLOBAL_ATTRIBUTE` |
    `static int` | `DUPLICATE_GLOBAL_ELEMENT` |
    `static int` | `DUPLICATE_GLOBAL_TYPE` |
    `static int` | `DUPLICATE_IDENTITY_CONSTRAINT` |
    `static String` | `DURATION` | duration: See XMLSchema Datatypes 1.0: duration
    `static String` | `ELEM_COMPATIBILITY_TARGETNS` | XMLSchema Datatypes 1.0: Definition of type NOTATION
    `static String` | `ELEM_COMPATIBILITY_TYPE` | XMLSchema Datatypes 1.0: Definitions of types ID, IDREF, IDREFS, ENTITY, ENTITIES, NOTATION
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID` | cvc-complex-type: See XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$ATTRIBUTE_VALID` | cvc-complex-type.3.1: See clause 3.1 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_NOT_ALLOWED` | cvc-complex-type.2.4b: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_ONLY_WITH_TEXT` | cvc-complex-type.2.3: See clause 2.3 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$EMPTY_WITH_CONTENT` | cvc-complex-type.2.1: See clause 2.1 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_DIFFERENT_ELEMENT` | cvc-complex-type.2.4a: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_ELEMENT` | cvc-complex-type.2.4d: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_ELEMENT` | cvc-complex-type.2.4c: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_REQUIRED_ATTRIBUTE` | cvc-complex-type.4: See clause 4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$NO_WILDCARD` | cvc-complex-type.3.2.1: See clause 3.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$NOT_WILDCARD_VALID` | cvc-complex-type.3.2.2: See clause 3.2.2 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$PROHIBITED_ATTRIBUTE` | Found an attribute during validation that was declared use='prohibited': See second NOTE at the end of 3.4.2 XML Representation of Complex Type Definitions.
    `static String` | `ELEM_COMPLEX_TYPE_LOCALLY_VALID$SIMPLE_TYPE_WITH_CONTENT` | cvc-complex-type.2.2: See clause 2.2 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
    `static String` | `ELEM_CONSISTANT` | cos-element-consistant: See XMLSchema Structures 1.0: Element Declarations Consistent
    `static String` | `ELEM_DEFAULT_VALID` | cos-valid-default: See XMLSchema Structures 1.0: Element Default Valid (Immediate)
    `static String` | `ELEM_DEFAULT_VALID$MIXED_AND_EMPTIABLE` | cos-valid-default.2.2.2: See clause 2.2.2 of XMLSchema Structures 1.0: Element Default Valid (Immediate)
    `static String` | `ELEM_DEFAULT_VALID$SIMPLE_TYPE_OR_MIXED` | cos-valid-default.2.1: See clause 2.1 of XMLSchema Structures 1.0: Element Default Valid (Immediate)
    `static String` | `ELEM_LOCALLY_VALID` | cvc-elt: See XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$ABSTRACT` | cvc-elt.2: See clause 2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$FIXED_VALID_MIXED_CONTENT` | cvc-elt.5.2.2.2.1: See clause 5.2.2.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$FIXED_VALID_SIMPLE_TYPE` | cvc-elt.5.2.2.2.2: See clause 5.2.2.2.2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$FIXED_WITH_CONTENT` | cvc-elt.5.2.2.1: See clause 5.2.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$NIL_WITH_CONTENT` | cvc-elt.3.2.1: See clause 3.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$NIL_WITH_FIXED` | cvc-elt.3.2.2: See clause 3.2.2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$NO_TYPE` | cvc-elt.1: See clause 1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$NOT_NILLABLE` | cvc-elt.3.1: See clause 3.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_EXTENSION` | cvc-elt.4.3b: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_RESTRICTION` | cvc-elt.4.3c: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$XSI_TYPE_INVALID_QNAME` | cvc-elt.4.1: See clause 4.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$XSI_TYPE_NOT_DERIVED` | cvc-elt.4.3a: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$XSI_TYPE_NOT_FOUND` | cvc-elt.4.2: See clause 4.2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_LOCALLY_VALID$XSI_TYPE_PROHIBITED_SUBST` | cvc-elt.4.3d: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
    `static String` | `ELEM_NOTATION_TYPE_FORBIDDEN` | enumeration-required-notation: See XMLSchema Datatypes 1.0: Schema Component Constraint: enumeration facet value required for NOTATION
    `static String` | `ELEM_PROPERTIES` | e-props-correct: See XMLSchema Structures 1.0: Element Declaration Properties Correct
    `static String` | `ELEM_PROPERTIES$CONSTRAINT_VALID` | e-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Element Declaration Properties Correct
    `static String` | `ELEM_PROPERTIES$SUBSTITUTION_FINAL` | e-props-correct.4a: See clause 4 of XMLSchema Structures 1.0: Element Declaration Properties Correct
    `static String` | `ELEM_PROPERTIES$SUBSTITUTION_VALID` | e-props-correct.4: See clause 4 of XMLSchema Structures 1.0: Element Declaration Properties Correct
    `static String` | `ELEM_TYPE_LOCALLY_VALID` | cvc-type: See XMLSchema Structures 1.0: Element Locally Valid (Type)
    `static String` | `ELEM_TYPE_LOCALLY_VALID$ABSTRACT` | cvc-type.2: See clause 2 of XMLSchema Structures 1.0: Element Locally Valid (Type)
    `static int` | `ELEMENT_EXTRA_REF` |
    `static int` | `ELEMENT_MISSING_NAME` |
    `static String` | `EXCEPTION_EXCEEDED_ENTITY_BYTES` |
    `static String` | `EXCEPTION_LOADING_URL` |
    `static String` | `EXCEPTION_VALUE_NOT_SUPPORTED_J2S` |
    `static String` | `EXCEPTION_VALUE_NOT_SUPPORTED_S2J` |
    `static String` | `EXCEPTION_XQRL_EXCEPTION` |
    `static String` | `EXCEPTION_XQRL_XPATH_NOT_VALID` |
    `static int` | `EXPLICIT_GROUP_NEEDED` |
    `static int` | `FACET_DUPLICATED` |
    `static String` | `FACET_FIXED` |
    `static int` | `FACET_VALUE_MALFORMED` |
    `static String` | `FACETS_APPLICABLE` | cos-applicable-facets: See XMLSchema Datatypes 1.0: applicable facets
    `static String` | `FACETS_DEPRECATED_NOTATION` | notation-facets: See http://www.w3.org/TR/xmlschema-2/#NOTATION-facets
    `static String` | `FIELDS_XPATH` | c-fields-xpaths: See XMLSchema Structures 1.0: Fields Value OK
    `static String` | `FLOAT` | float: See XMLSchema Datatypes 1.0: float
    `static int` | `GENERIC_ERROR` |
    `static int` | `GROUP_MISSING_REF` |
    `static String` | `HEXBINARY` | hexBinary: See XMLSchema Datatypes 1.0: hexBinary
    `static String` | `ID_VALID$DUPLICATE` | cvc-id.2: See clause 2 of XMLSchema Structures 1.0: Validation Root Valid (ID/IDREF)
    `static int` | `IDC_NOT_FOUND` |
    `static String` | `IDENTITY_CONSTRAINT_PROPERTIES` | c-props-correct: See XMLSchema Structures 1.0: Identity-constraint Definition Properties Correct
    `static String` | `IDENTITY_CONSTRAINT_PROPERTIES$KEY_KEYREF_FIELD_COUNT_EQ` | c-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Identity-constraint Definition Properties Correct
    `static String` | `IDENTITY_CONSTRAINT_PROPERTIES$KEYREF_REFERS_TO_KEYREF` | c-props-correct.1: See clause 1 of XMLSchema Structures 1.0: Identity-constraint Definition Properties Correct
    `static String` | `IDENTITY_CONSTRAINT_VALID` | cvc-identity-constraint: See XMLSchema Structures 1.0: Identity-constraint Satisfied
    `static String` | `IDENTITY_CONSTRAINT_VALID$DUPLICATE_KEY` | cvc-identity-constraint.4.2.2: See clause 4.2.2 XMLSchema Structures 1.0: Identity-constraint Satisfied
    `static String` | `IDENTITY_CONSTRAINT_VALID$DUPLICATE_UNIQUE` | cvc-identity-constraint.4.1: See clause 4.1 of XMLSchema Structures 1.0: Identity-constraint Satisfied
    `static String` | `IDENTITY_CONSTRAINT_VALID$KEYREF_KEY_NOT_FOUND` | cvc-identity-constraint.4.3: See clause 4.3 XMLSchema Structures 1.0: Identity-constraint Satisfied
    `static int` | `ILLEGAL_RESTRICTION` |
    `static int` | `INCONSISTENT_TYPE` |
    `static String` | `INT` | int: See XMLSchema Datatypes 1.0: int
    `static String` | `INTEGER` | integer: See XMLSchema Datatypes 1.0: integer
    `static String` | `INVALID_DOCUMENT_TYPE` |
    `static int` | `INVALID_NAME` |
    `static int` | `INVALID_SCHEMA` |
    `static String` | `INVALID_VALUE` | Error code for an invalid attribute value.
    `static String` | `INVALID_VALUE_DETAIL` | Error code for an invalid attribute value.
    `static String` | `INVALID_XPATH` |
    `static String` | `LIST` | list: See XMLSchema Datatypes 1.0: list
    `static String` | `LONG` | long: See XMLSchema Datatypes 1.0: long
    `static int` | `MALFORMED_NUMBER` |
    `static int` | `MALFORMED_SIMPLE_TYPE_DEFN` |
    `static int` | `MISMATCHED_TARGET_NAMESPACE` |
    `static int` | `MISSING_BASE` |
    `static String` | `MISSING_NAME` |
    `static int` | `MISSING_RESTRICTION_OR_EXTENSION` |
    `static String` | `MODEL_GROUP_DEFN_PROPERTIES` | mgd-props-correct: See XMLSchema Structures 1.0: Model Group Definition Properties Correct
    `static int` | `MODEL_GROUP_MISSING_NAME` |
    `static String` | `MODEL_GROUP_PROPERTIES` | mg-props-correct: See XMLSchema Structures 1.0: Model Group Correct
    `static String` | `MODEL_GROUP_PROPERTIES$CIRCULAR` | mg-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Model Group Correct
    `static String` | `MODEL_GROUP_VALID` | cvc-model-group: See XMLSchema Structures 1.0: Element Sequence Valid
    `static String` | `NCNAME` | NCName: See XMLSchema Datatypes 1.0: NCName
    `static String` | `NMTOKEN` | NMTOKEN: See XMLSchema Datatypes 1.0: NMTOKEN
    `static String` | `NO_XMLNS` | no-xmlns: See XMLSchema Structures 1.0: xmlns Not Allowed
    `static String` | `NO_XSI` | no-xsi: See XMLSchema Structures 1.0: xsi: Not Allowed
    `static int` | `NONDETERMINISTIC_MODEL` |
    `static String` | `NOTATION_PROPERTIES` | n-props-correct: See XMLSchema Structures 1.0: Notation Declaration Correct
    `static String` | `OCCURRENCE_RANGE` | range-ok: See XMLSchema Structures 1.0: Occurrence Range OK
    `static String` | `OCCURRENCE_RANGE$MAX_LTE_MAX` | range-ok.2: See clause 2 of XMLSchema Structures 1.0: Occurrence Range OK
    `static String` | `OCCURRENCE_RANGE$MIN_GTE_MIN` | range-ok.1: See clause 1 of XMLSchema Structures 1.0: Occurrence Range OK
    `static String` | `PARTICLE_DERIVATION_MAP_AND_SUM` | rcase-MapAndSum: See XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
    `static String` | `PARTICLE_DERIVATION_MAP_AND_SUM$MAP` | rcase-MapAndSum.1: See clause 1 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
    `static String` | `PARTICLE_DERIVATION_MAP_AND_SUM$SUM_MAX_OCCURS_LTE_MAX_OCCURS` | rcase-MapAndSum.2b: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
    `static String` | `PARTICLE_DERIVATION_MAP_AND_SUM$SUM_MIN_OCCURS_GTE_MIN_OCCURS` | rcase-MapAndSum.2a: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
    `static String` | `PARTICLE_DERIVATION_NS_COMPAT` | rcase-NSCompat: See XMLSchema Structures 1.0: Particle Derivation OK (Elt:Any -- NSCompat)
    `static String` | `PARTICLE_DERIVATION_NS_COMPAT$WILDCARD_VALID` | rcase-NSCompat.1: See clause 1 of XMLSchema Structures 1.0: Particle Derivation OK (Elt:Any -- NSCompat)
    `static String` | `PARTICLE_DERIVATION_NS_RECURSE` | rcase-NSRecurseCheckCardinality: See XMLSchema Structures 1.0: Particle Derivation OK (All/Choice/Sequence:Any -- NSRecurseCheckCardinality)
    `static String` | `PARTICLE_DERIVATION_NS_SUBST` | rcase-NSSubset: See XMLSchema Structures 1.0: Particle Derivation OK (Any:Any -- NSSubset)
    `static String` | `PARTICLE_DERIVATION_NS_SUBST$WILDCARD_SUBSET` | rcase-NSSubset.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Any:Any -- NSSubset)
    `static String` | `PARTICLE_DERIVATION_RECURSE` | rcase-Recurse: See XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
    `static String` | `PARTICLE_DERIVATION_RECURSE_GROUP` | rcase-RecurseAsIfGroup: See XMLSchema Structures 1.0: Particle Derivation OK (Elt:All/Choice/Sequence -- RecurseAsIfGroup)
    `static String` | `PARTICLE_DERIVATION_RECURSE_LAX` | rcase-RecurseLax: See XMLSchema Structures 1.0: Particle Derivation OK (Choice:Choice -- RecurseLax)
    `static String` | `PARTICLE_DERIVATION_RECURSE_LAX$MAP` | rcase-RecurseLax.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Choice:Choice -- RecurseLax)
    `static String` | `PARTICLE_DERIVATION_RECURSE_UNORDERED` | rcase-RecurseUnordered: See XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
    `static String` | `PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP` | rcase-RecurseUnordered.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
    `static String` | `PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_MAX_OCCURS_1` | rcase-RecurseUnordered.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
    `static String` | `PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_UNIQUE` | rcase-RecurseUnordered.2.1: See clause 2.1 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
    `static String` | `PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_VALID` | rcase-RecurseUnordered.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
    `static String` | `PARTICLE_DERIVATION_RECURSE_UNORDERED$UNMAPPED_ARE_EMPTIABLE` | rcase-RecurseUnordered.2.3: See clause 2.3 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
    `static String` | `PARTICLE_DERIVATION_RECURSE$MAP` | rcase-Recurse.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
    `static String` | `PARTICLE_DERIVATION_RECURSE$MAP_VALID` | rcase-Recurse.2.1: See clause 2.1 of XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
    `static String` | `PARTICLE_DERIVATION_RECURSE$UNMAPPED_ARE_EMPTIABLE` | rcase-Recurse.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
    `static String` | `PARTICLE_EMPTIABLE` | cos-group-emptiable: See XMLSchema Structures 1.0: Particle Emptiable
    `static String` | `PARTICLE_EXTENSION` | cos-particle-extend: See XMLSchema Structures 1.0: Particle Valid (Extension)
    `static String` | `PARTICLE_PROPERTIES` | p-props-correct: See XMLSchema Structures 1.0: Particle Correct
    `static String` | `PARTICLE_PROPERTIES$MAX_GTE_1` | p-props-correct.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Correct
    `static String` | `PARTICLE_PROPERTIES$MIN_LTE_MAX` | p-props-correct.2.1: See clause 2.1 of XMLSchema Structures 1.0: Particle Correct
    `static String` | `PARTICLE_RESTRICTION` | cos-particle-restrict: See XMLSchema Structures 1.0: Particle Valid (Restriction)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE` | rcase-NameAndTypeOK: See XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE$DISALLOWED_SUBSTITUTIONS` | rcase-NameAndTypeOK.6: See clause 6 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE$FIXED` | rcase-NameAndTypeOK.4: See clause 4 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE$IDENTITY_CONSTRAINTS` | rcase-NameAndTypeOK.5: See clause 5 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE$NAME` | rcase-NameAndTypeOK.1: See clause 1 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE$NILLABLE` | rcase-NameAndTypeOK.2: See clause 2 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE$TYPE_RESTRICTED` | rcase-NameAndTypeOK.7b: See clause 7 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION_NAME_AND_TYPE$TYPE_VALID` | rcase-NameAndTypeOK.7a: See clause 7 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
    `static String` | `PARTICLE_RESTRICTION$INVALID_RESTRICTION` | cos-particle-restrict.2: See clause 2 of XMLSchema Structures 1.0: Particle Valid (Restriction)
    `static String` | `PARTICLE_VALID` | cvc-particle: See XMLSchema Structures 1.0: Element Sequence Locally Valid (Particle)
    `static String` | `PARTICLE_VALID$BLOCK_SUBSTITUTION` | cvc-particle.2.3.3a: See XMLSchema Structures 1.0: Element Sequence Locally Valid (Particle)
    `static String` | `PARTICLE_VALID$NOT_WILDCARD_VALID` | cvc-particle.1.3: See XMLSchema Structures 1.0: Element Sequence Locally Valid (Particle)
    `static String` | `PATTERN_REGEX` |
    `static String` | `QNAME` | QName: See XMLSchema Datatypes 1.0: QName
    `static int` | `REDUNDANT_CONTENT_MODEL` |
    `static int` | `REDUNDANT_DEFAULT_FIXED` |
    `static int` | `REDUNDANT_NESTED_TYPE` |
    `static String` | `RESERVED_TYPE_NAME` |
    `static String` | `RESOLVE_QNAME_INSTANCE_VALID` | cvc-resolve-instance: See XMLSchema Structures 1.0: QName resolution (Instance)
    `static String` | `SCHEMA_ANNOTATION` | src-annotation: See XMLSchema Structures 1.0: Annotation Definition Representation OK
    `static String` | `SCHEMA_ATTR` | src-attribute: See XMLSchema Structures 1.0: Attribute Declaration Representation OK
    `static String` | `SCHEMA_ATTR_GROUP` | src-attribute_group: See XMLSchema Structures 1.0: Attribute Group Definition Representation OK
    `static String` | `SCHEMA_ATTR_GROUP$SELF_REF` | src-attribute_group.3: See clause 3 of XMLSchema Structures 1.0: Attribute Group Definition Representation OK
    `static String` | `SCHEMA_ATTR$DEFAULT_AND_USE_OPTIONAL` | src-attribute.2: See clause 2 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
    `static String` | `SCHEMA_ATTR$DEFAULT_OR_FIXED` | src-attribute.1: See clause 1 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
    `static String` | `SCHEMA_ATTR$FIXED_NOT_MATCH` | au-value_constraint: See description for XMLSchema Structures 1.0: The Attribute Use Schema Component
    `static String` | `SCHEMA_ATTR$REF_FEATURES` | src-attribute.3.2: See clause 3.2 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
    `static String` | `SCHEMA_ATTR$REF_OR_NAME_HAS_BOTH` | src-attribute.3.1a: See clause 3.1 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
    `static String` | `SCHEMA_ATTR$REF_OR_NAME_HAS_NEITHER` | src-attribute.3.1b: See clause 3.1 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
    `static String` | `SCHEMA_ATTR$TYPE_ATTR_OR_NESTED_TYPE` | src-attribute.4: See clause 4 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
    `static String` | `SCHEMA_COMPLEX_TYPE` | src-ct: See XMLSchema Structures 1.0: Complex Type Definition Representation OK
    `static String` | `SCHEMA_COMPLEX_TYPE$COMPLEX_CONTENT` | src-ct.1: See clause 1 of XMLSchema Structures 1.0: Complex Type Definition Representation OK
    `static String` | `SCHEMA_COMPLEX_TYPE$SIMPLE_CONTENT` | src-ct.2: See clause 2 of XMLSchema Structures 1.0: Complex Type Definition Representation OK
    `static String` | `SCHEMA_ELEM` | src-element: See XMLSchema Structures 1.0: Element Declaration Representation OK
    `static String` | `SCHEMA_ELEM$DEFAULT_OR_FIXED` | src-element.1: See clause 1 of XMLSchema Structures 1.0: Element Declaration Representation OK
    `static String` | `SCHEMA_ELEM$REF_FEATURES` | src-element.2.2: See clause 2.2 of XMLSchema Structures 1.0: Element Declaration Representation OK
    `static String` | `SCHEMA_ELEM$REF_OR_NAME_HAS_BOTH` | src-element.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Element Declaration Representation OK
    `static String` | `SCHEMA_ELEM$REF_OR_NAME_HAS_NEITHER` | src-element.2.1b: See clause 2.1 of XMLSchema Structures 1.0: Element Declaration Representation OK
    `static String` | `SCHEMA_ELEM$TYPE_ATTR_OR_NESTED_TYPE` | src-element.3: See clause 3 of XMLSchema Structures 1.0: Element Declaration Representation OK
    `static String` | `SCHEMA_IDENTITY_CONSTRAINT` | src-identity-constraint: See XMLSchema Structures 1.0: Identity-constraint Definition Representation OK
    `static String` | `SCHEMA_IMPORT` | src-import: See XMLSchema Structures 1.0: Import Constraints and Semantics
    `static String` | `SCHEMA_INCLUDE` | src-include: See XMLSchema Structures 1.0: Inclusion Constraints and Semantics
    `static String` | `SCHEMA_MODEL_GROUP` | src-model_group: See XMLSchema Structures 1.0: Model Group Representation OK
    `static String` | `SCHEMA_MODEL_GROUP_DEFN` | src-model_group_defn: See XMLSchema Structures 1.0: Model Group Definition Representation OK
    `static String` | `SCHEMA_MULTIPLE_ENUMS` | src-multiple-enumerations: See XMLSchema Datatypes 1.0: Multiple enumerations
    `static String` | `SCHEMA_MULTIPLE_PATTERNS` | src-multiple-patterns: See XMLSchema Datatypes 1.0: Multiple patterns
    `static String` | `SCHEMA_NOTATION` | src-notation: See XMLSchema Structures 1.0: Notation Definition Representation OK
    `static String` | `SCHEMA_PROPERTIES` | sch-props-correct: See XMLSchema Structures 1.0: Schema Properties Correct
    `static String` | `SCHEMA_PROPERTIES$DUPLICATE` | sch-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Schema Properties Correct
    `static String` | `SCHEMA_QNAME` | src-qname: See XMLSchema Structures 1.0: QName Interpretation
    `static String` | `SCHEMA_QNAME_RESOLVE` | src-resolve: See XMLSchema Structures 1.0: QName resolution (Schema Document)
    `static String` | `SCHEMA_QNAME_RESOLVE$HELP` | src-resolve: See XMLSchema Structures 1.0: QName resolution (Schema Document)
    `static String` | `SCHEMA_REDEFINE` | src-redefine: See XMLSchema Structures 1.0: Redefinition Constraints and Semantics
    `static String` | `SCHEMA_REDEFINE$ATTR_GROUP_SELF_REF` | src-redefine.7.1: See clause 7.1 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
    `static String` | `SCHEMA_REDEFINE$EXTEND_OR_RESTRICT` | src-redefine.5a: See clause 5 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
    `static String` | `SCHEMA_REDEFINE$GROUP_SELF_REF` | src-redefine.6.1.1: See clause 6.1.1 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
    `static String` | `SCHEMA_REDEFINE$GROUP_SELF_REF_MIN_MAX_1` | src-redefine.6.1.2: See clause 6.1.2 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
    `static String` | `SCHEMA_REDEFINE$SAME_TYPE` | src-redefine.5b: See clause 5 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
    `static String` | `SCHEMA_REDEFINITION` | src-expredef: See XMLSchema Structures 1.0: Individual Component Redefinition
    `static String` | `SCHEMA_REFERENCE` | schema_reference: See XMLSchema Structures 1.0: Schema Document Location Strategy
    `static String` | `SCHEMA_SIMPLE_TYPE` | src-simple-type: See XMLSchema Structures 1.0: Simple Type Definition Representation OK
    `static String` | `SCHEMA_SIMPLE_TYPE$CYCLIC_UNION` | src-simple-type.4: See clause 4 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
    `static String` | `SCHEMA_SIMPLE_TYPE$LIST_HAS_BOTH_ITEM_OR_SIMPLE_TYPE` | src-simple-type.3a: See clause 3 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
    `static String` | `SCHEMA_SIMPLE_TYPE$LIST_HAS_NEITHER_ITEM_OR_SIMPLE_TYPE` | src-simple-type.3b: See clause 3 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
    `static String` | `SCHEMA_SIMPLE_TYPE$LIST_ITEM_TYPE_OR_SIMPLE_TYPE` | src-list-itemType-or-simpleType: See XMLSchema Datatypes 1.0: itemType attribute or simpleType child
    `static String` | `SCHEMA_SIMPLE_TYPE$RESTICTION_HAS_BASE_OR_SIMPLE_TYPE` | src-restriction-base-or-simpleType: See XMLSchema Datatypes 1.0: base attribute or simpleType child
    `static String` | `SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_BOTH_BASE_OR_SIMPLE_TYPE` | src-simple-type.2a: See clause 2 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
    `static String` | `SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_NEITHER_BASE_OR_SIMPLE_TYPE` | src-simple-type.2b: See clause 2 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
    `static String` | `SCHEMA_SIMPLE_TYPE$UNION_HAS_MEMBER_TYPES_OR_SIMPLE_TYPES` | src-union-memberTypes-or-simpleTypes: See XMLSchema Datatypes 1.0: memberTypes attribute or simpleType children
    `static String` | `SCHEMA_WILDCARD` | src-wildcard: See XMLSchema Structures 1.0: Wildcard Representation OK
    `static String` | `SELECTOR_XPATH` | c-selector-xpath: See XMLSchema Structures 1.0: Selector Value OK
    `static String` | `SEQUENCE_RANGE` | cos-seq-range: See XMLSchema Structures 1.0: Effective Total Range (all and sequence)
    `static String` | `SIMPLE_TYPE_DERIVATION` | cos-st-derived-ok: See XMLSchema Structures 1.0: Type Derivation OK (Simple)
    `static String` | `SIMPLE_TYPE_PROPERTIES` | st-props-correct: See XMLSchema Structures 1.0: Simple Type Definition Properties Correct
    `static String` | `SIMPLE_TYPE_PROPERTIES$LIST_FINAL` | st-props-correct.4.2.1: See clause 4.2.1 of XMLSchema Structures 1.0: Simple Type Definition Properties Correct
    `static String` | `SIMPLE_TYPE_PROPERTIES$RESTRICTION_FINAL` | st-props-correct.3: See clause 3 of XMLSchema Structures 1.0: Simple Type Definition Properties Correct
    `static String` | `SIMPLE_TYPE_PROPERTIES$UNION_FINAL` | st-props-correct.4.2.2: See clause 4.2.2 of XMLSchema Structures 1.0: Simple Type Definition Properties Correct
    `static String` | `SIMPLE_TYPE_RESTRICTION` | cos-st-restricts: See XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
    `static String` | `SIMPLE_TYPE_RESTRICTION_FACETS` | st-restrict-facets: See XMLSchema Structures 1.0: Simple Type Restriction (Facets)
    `static String` | `SIMPLE_TYPE_RESTRICTION$ATOMIC_NOT_SIMPLE` | cos-st-restricts.1.1: See clause 1.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
    `static String` | `SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_LIST` | cos-st-restricts.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
    `static String` | `SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_UNION_OF_LIST` | cos-st-restricts.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
    `static String` | `SIMPLE_TYPE_RESTRICTION$LIST_ITEM_NOT_SIMPLE` | cos-st-restricts.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
    `static String` | `SIMPLE_TYPE_RESTRICTION$UNION_MEMBER_NOT_SIMPLE` | cos-st-restricts.3.1: See clause 3.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
    `static String` | `SIMPLE_TYPE_STRING_VALID` | cvc-simple-type: See XMLSchema Structures 1.0: String Valid
    `static String` | `SOAPARRAY` |
    `static String` | `SUBST_GROUP` | cos-equiv-class: See XMLSchema Structures 1.0: Substitution Group
    `static String` | `SUBST_GROUP_DERIVED` | cos-equiv-derived-ok-rec: See XMLSchema Structures 1.0: Substitution Group OK (Transitive)
    `static String` | `UNION` | union: See XMLSchema Datatypes 1.0: union
    `static String` | `UNIQUE_PARTICLE_ATTRIBUTION` | cos-nonambig: See XMLSchema Structures 1.0: Unique Particle Attribution
    `static int` | `UNSUPPORTED_FEATURE` |
    `static String` | `WILDCARD_ITEM_VALID` | cvc-wildcard: See XMLSchema Structures 1.0: Item Valid (Wildcard)
    `static String` | `WILDCARD_NAMESPACE_NAME_VALID` | cvc-wildcard-namespace: See XMLSchema Structures 1.0: Wildcard allows Namespace Name
    `static String` | `WILDCARD_PROPERTIES` | w-props-correct: See XMLSchema Structures 1.0: Wildcard Properties Correct
    `static String` | `WILDCARD_SUBSET` | cos-ns-subset: See XMLSchema Structures 1.0: Wildcard Subset
    `static String` | `XML_DUPLICATE_ATTRIBUTE` | uniqattspec: See XML 1.0: Unique Att Spec
    `static int` | `XPATH_COMPILATION_FAILURE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlErrorCodes()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MISMATCHED_TARGET_NAMESPACE

          public static final int MISMATCHED_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### CANNOT_FIND_RESOURCE

          public static final int CANNOT_FIND_RESOURCE

      See Also:
        Constant Field Values

    - #### REDUNDANT_NESTED_TYPE

          public static final int REDUNDANT_NESTED_TYPE

      See Also:
        Constant Field Values

    - #### ELEMENT_MISSING_NAME

          public static final int ELEMENT_MISSING_NAME

      See Also:
        Constant Field Values

    - #### REDUNDANT_DEFAULT_FIXED

          public static final int REDUNDANT_DEFAULT_FIXED

      See Also:
        Constant Field Values

    - #### MODEL_GROUP_MISSING_NAME

          public static final int MODEL_GROUP_MISSING_NAME

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_GROUP_MISSING_NAME

          public static final int ATTRIBUTE_GROUP_MISSING_NAME

      See Also:
        Constant Field Values

    - #### CYCLIC_DEPENDENCY

          public static final int CYCLIC_DEPENDENCY

      See Also:
        Constant Field Values

    - #### FACET_DUPLICATED

          public static final int FACET_DUPLICATED

      See Also:
        Constant Field Values

    - #### FACET_VALUE_MALFORMED

          public static final int FACET_VALUE_MALFORMED

      See Also:
        Constant Field Values

    - #### MALFORMED_NUMBER

          public static final int MALFORMED_NUMBER

      See Also:
        Constant Field Values

    - #### REDUNDANT_CONTENT_MODEL

          public static final int REDUNDANT_CONTENT_MODEL

      See Also:
        Constant Field Values

    - #### MISSING_RESTRICTION_OR_EXTENSION

          public static final int MISSING_RESTRICTION_OR_EXTENSION

      See Also:
        Constant Field Values

    - #### MISSING_BASE

          public static final int MISSING_BASE

      See Also:
        Constant Field Values

    - #### ELEMENT_EXTRA_REF

          public static final int ELEMENT_EXTRA_REF

      See Also:
        Constant Field Values

    - #### EXPLICIT_GROUP_NEEDED

          public static final int EXPLICIT_GROUP_NEEDED

      See Also:
        Constant Field Values

    - #### GROUP_MISSING_REF

          public static final int GROUP_MISSING_REF

      See Also:
        Constant Field Values

    - #### DUPLICATE_ATTRIBUTE_NAME

          public static final int DUPLICATE_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### DUPLICATE_ANY_ATTRIBUTE

          public static final int DUPLICATE_ANY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_GROUP_MISSING_REF

          public static final int ATTRIBUTE_GROUP_MISSING_REF

      See Also:
        Constant Field Values

    - #### CANNOT_EXTEND_ALL

          public static final int CANNOT_EXTEND_ALL

      See Also:
        Constant Field Values

    - #### INVALID_SCHEMA

          public static final int INVALID_SCHEMA

      See Also:
        Constant Field Values

    - #### DUPLICATE_GLOBAL_ELEMENT

          public static final int DUPLICATE_GLOBAL_ELEMENT

      See Also:
        Constant Field Values

    - #### DUPLICATE_GLOBAL_ATTRIBUTE

          public static final int DUPLICATE_GLOBAL_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### DUPLICATE_GLOBAL_TYPE

          public static final int DUPLICATE_GLOBAL_TYPE

      See Also:
        Constant Field Values

    - #### MALFORMED_SIMPLE_TYPE_DEFN

          public static final int MALFORMED_SIMPLE_TYPE_DEFN

      See Also:
        Constant Field Values

    - #### INVALID_NAME

          public static final int INVALID_NAME

      See Also:
        Constant Field Values

    - #### CANNOT_DERIVE_FINAL

          public static final int CANNOT_DERIVE_FINAL

      See Also:
        Constant Field Values

    - #### IDC_NOT_FOUND

          public static final int IDC_NOT_FOUND

      See Also:
        Constant Field Values

    - #### NONDETERMINISTIC_MODEL

          public static final int NONDETERMINISTIC_MODEL

      See Also:
        Constant Field Values

    - #### XPATH_COMPILATION_FAILURE

          public static final int XPATH_COMPILATION_FAILURE

      See Also:
        Constant Field Values

    - #### DUPLICATE_IDENTITY_CONSTRAINT

          public static final int DUPLICATE_IDENTITY_CONSTRAINT

      See Also:
        Constant Field Values

    - #### ILLEGAL_RESTRICTION

          public static final int ILLEGAL_RESTRICTION

      See Also:
        Constant Field Values

    - #### INCONSISTENT_TYPE

          public static final int INCONSISTENT_TYPE

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_FEATURE

          public static final int UNSUPPORTED_FEATURE

      See Also:
        Constant Field Values

    - #### GENERIC_ERROR

          public static final int GENERIC_ERROR

      See Also:
        Constant Field Values

    - #### INVALID_DOCUMENT_TYPE

          public static final String INVALID_DOCUMENT_TYPE

      See Also:
        Constant Field Values

    - #### CANNOT_LOAD_FILE

          public static final String CANNOT_LOAD_FILE

      See Also:
        Constant Field Values

    - #### EXCEPTION_EXCEEDED_ENTITY_BYTES

          public static final String EXCEPTION_EXCEEDED_ENTITY_BYTES

      See Also:
        Constant Field Values

    - #### EXCEPTION_LOADING_URL

          public static final String EXCEPTION_LOADING_URL

      See Also:
        Constant Field Values

    - #### EXCEPTION_VALUE_NOT_SUPPORTED_J2S

          public static final String EXCEPTION_VALUE_NOT_SUPPORTED_J2S

      See Also:
        Constant Field Values

    - #### EXCEPTION_VALUE_NOT_SUPPORTED_S2J

          public static final String EXCEPTION_VALUE_NOT_SUPPORTED_S2J

      See Also:
        Constant Field Values

    - #### EXCEPTION_XQRL_XPATH_NOT_VALID

          public static final String EXCEPTION_XQRL_XPATH_NOT_VALID

      See Also:
        Constant Field Values

    - #### EXCEPTION_XQRL_EXCEPTION

          public static final String EXCEPTION_XQRL_EXCEPTION

      See Also:
        Constant Field Values

    - #### XML_DUPLICATE_ATTRIBUTE

          public static final String XML_DUPLICATE_ATTRIBUTE

      uniqattspec: See XML 1.0: Unique Att Spec
      See Also:
        Constant Field Values

    - #### ASSESS_ATTR_SCHEMA_VALID

          public static final String ASSESS_ATTR_SCHEMA_VALID

      cvc-assess-attr: See XMLSchema Structures 1.0: Schema-Validity Assessment (Attribute)
      See Also:
        Constant Field Values

    - #### ASSESS_ATTR_SCHEMA_VALID$NOT_RESOLVED

          public static final String ASSESS_ATTR_SCHEMA_VALID$NOT_RESOLVED

      cvc-assess-attr.1.2: See clause 1.2 of XMLSchema Structures 1.0: Schema-Validity Assessment (Attribute)
      See Also:
        Constant Field Values

    - #### ASSESS_ELEM_SCHEMA_VALID

          public static final String ASSESS_ELEM_SCHEMA_VALID

      cvc-assess-elt: See XMLSchema Structures 1.0: Schema-Validity Assessment (Element)
      See Also:
        Constant Field Values

    - #### ASSESS_ELEM_SCHEMA_VALID$NOT_RESOLVED

          public static final String ASSESS_ELEM_SCHEMA_VALID$NOT_RESOLVED

      cvc-assess-elt.1.1.1.3.2: See clause 1.1.1.3.2 of XMLSchema Structures 1.0: Schema-Validity Assessment (Element)
      See Also:
        Constant Field Values

    - #### ATTR_LOCALLY_VALID

          public static final String ATTR_LOCALLY_VALID

      cvc-attribute: See XMLSchema Structures 1.0: Attribute Locally Valid
      See Also:
        Constant Field Values

    - #### ATTR_LOCALLY_VALID$NO_TYPE

          public static final String ATTR_LOCALLY_VALID$NO_TYPE

      cvc-attribute.1: See clause 1 of XMLSchema Structures 1.0: Attribute Locally Valid
      See Also:
        Constant Field Values

    - #### ATTR_LOCALLY_VALID$FIXED

          public static final String ATTR_LOCALLY_VALID$FIXED

      cvc-attribute.4: See clause 4 of XMLSchema Structures 1.0: Attribute Locally Valid
      See Also:
        Constant Field Values

    - #### ATTR_USE_LOCALLY_VALID

          public static final String ATTR_USE_LOCALLY_VALID

      cvc-au: See XMLSchema Structures 1.0: Attribute Locally Valid (Use)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID

      cvc-complex-type: See XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$EMPTY_WITH_CONTENT

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$EMPTY_WITH_CONTENT

      cvc-complex-type.2.1: See clause 2.1 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$SIMPLE_TYPE_WITH_CONTENT

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$SIMPLE_TYPE_WITH_CONTENT

      cvc-complex-type.2.2: See clause 2.2 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_DIFFERENT_ELEMENT

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_DIFFERENT_ELEMENT

      cvc-complex-type.2.4a: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_NOT_ALLOWED

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_NOT_ALLOWED

      cvc-complex-type.2.4b: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_ELEMENT

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_ELEMENT

      cvc-complex-type.2.4c: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_ELEMENT

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_ELEMENT

      cvc-complex-type.2.4d: See clause 2.4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_ONLY_WITH_TEXT

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_ONLY_WITH_TEXT

      cvc-complex-type.2.3: See clause 2.3 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$ATTRIBUTE_VALID

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$ATTRIBUTE_VALID

      cvc-complex-type.3.1: See clause 3.1 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$NO_WILDCARD

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$NO_WILDCARD

      cvc-complex-type.3.2.1: See clause 3.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$NOT_WILDCARD_VALID

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$NOT_WILDCARD_VALID

      cvc-complex-type.3.2.2: See clause 3.2.2 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_REQUIRED_ATTRIBUTE

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_REQUIRED_ATTRIBUTE

      cvc-complex-type.4: See clause 4 of XMLSchema Structures 1.0: Element Locally Valid (Complex Type)
      See Also:
        Constant Field Values

    - #### DATATYPE_VALID

          public static final String DATATYPE_VALID

      cvc-datatype-valid: See XMLSchema Datatypes 1.0: Datatype Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_VALID$PATTERN_VALID

          public static final String DATATYPE_VALID$PATTERN_VALID

      cvc-datatype-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: Datatype Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_VALID$PATTERN_VALID$NO_VALUE

          public static final String DATATYPE_VALID$PATTERN_VALID$NO_VALUE

      cvc-datatype-valid.1.1b: See clause 1.1 of XMLSchema Datatypes 1.0: Datatype Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_VALID$UNION

          public static final String DATATYPE_VALID$UNION

      cvc-datatype-valid.1.2.3: See clause 1.2.3 of XMLSchema Datatypes 1.0: Datatype Valid
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID

          public static final String ELEM_LOCALLY_VALID

      cvc-elt: See XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$NO_TYPE

          public static final String ELEM_LOCALLY_VALID$NO_TYPE

      cvc-elt.1: See clause 1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$ABSTRACT

          public static final String ELEM_LOCALLY_VALID$ABSTRACT

      cvc-elt.2: See clause 2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$NOT_NILLABLE

          public static final String ELEM_LOCALLY_VALID$NOT_NILLABLE

      cvc-elt.3.1: See clause 3.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$NIL_WITH_CONTENT

          public static final String ELEM_LOCALLY_VALID$NIL_WITH_CONTENT

      cvc-elt.3.2.1: See clause 3.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$NIL_WITH_FIXED

          public static final String ELEM_LOCALLY_VALID$NIL_WITH_FIXED

      cvc-elt.3.2.2: See clause 3.2.2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$XSI_TYPE_INVALID_QNAME

          public static final String ELEM_LOCALLY_VALID$XSI_TYPE_INVALID_QNAME

      cvc-elt.4.1: See clause 4.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$XSI_TYPE_NOT_FOUND

          public static final String ELEM_LOCALLY_VALID$XSI_TYPE_NOT_FOUND

      cvc-elt.4.2: See clause 4.2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$XSI_TYPE_NOT_DERIVED

          public static final String ELEM_LOCALLY_VALID$XSI_TYPE_NOT_DERIVED

      cvc-elt.4.3a: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_EXTENSION

          public static final String ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_EXTENSION

      cvc-elt.4.3b: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_RESTRICTION

          public static final String ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_RESTRICTION

      cvc-elt.4.3c: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$FIXED_WITH_CONTENT

          public static final String ELEM_LOCALLY_VALID$FIXED_WITH_CONTENT

      cvc-elt.5.2.2.1: See clause 5.2.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$FIXED_VALID_MIXED_CONTENT

          public static final String ELEM_LOCALLY_VALID$FIXED_VALID_MIXED_CONTENT

      cvc-elt.5.2.2.2.1: See clause 5.2.2.2.1 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$FIXED_VALID_SIMPLE_TYPE

          public static final String ELEM_LOCALLY_VALID$FIXED_VALID_SIMPLE_TYPE

      cvc-elt.5.2.2.2.2: See clause 5.2.2.2.2 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### ELEM_LOCALLY_VALID$XSI_TYPE_PROHIBITED_SUBST

          public static final String ELEM_LOCALLY_VALID$XSI_TYPE_PROHIBITED_SUBST

      cvc-elt.4.3d: See clause 4.3 of XMLSchema Structures 1.0: Element Locally Valid (Element)
      See Also:
        Constant Field Values

    - #### DATATYPE_ENUM_VALID

          public static final String DATATYPE_ENUM_VALID

      cvc-enumeration-valid: See XMLSchema Datatypes 1.0: enumeration valid
      See Also:
        Constant Field Values

    - #### DATATYPE_ENUM_VALID$NO_VALUE

          public static final String DATATYPE_ENUM_VALID$NO_VALUE

      cvc-enumeration-valid.b: See XMLSchema Datatypes 1.0: enumeration valid
      See Also:
        Constant Field Values

    - #### DATATYPE_FACET_VALID

          public static final String DATATYPE_FACET_VALID

      cvc-facet-valid: See XMLSchema Datatypes 1.0: Facet Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_FRACTION_DIGITS_VALID

          public static final String DATATYPE_FRACTION_DIGITS_VALID

      cvc-fractionDigits-valid: See XMLSchema Datatypes 1.0: fractionDigits Valid
      See Also:
        Constant Field Values

    - #### ID_VALID$DUPLICATE

          public static final String ID_VALID$DUPLICATE

      cvc-id.2: See clause 2 of XMLSchema Structures 1.0: Validation Root Valid (ID/IDREF)
      See Also:
        Constant Field Values

    - #### IDENTITY_CONSTRAINT_VALID

          public static final String IDENTITY_CONSTRAINT_VALID

      cvc-identity-constraint: See XMLSchema Structures 1.0: Identity-constraint Satisfied
      See Also:
        Constant Field Values

    - #### IDENTITY_CONSTRAINT_VALID$DUPLICATE_UNIQUE

          public static final String IDENTITY_CONSTRAINT_VALID$DUPLICATE_UNIQUE

      cvc-identity-constraint.4.1: See clause 4.1 of XMLSchema Structures 1.0: Identity-constraint Satisfied
      See Also:
        Constant Field Values

    - #### IDENTITY_CONSTRAINT_VALID$DUPLICATE_KEY

          public static final String IDENTITY_CONSTRAINT_VALID$DUPLICATE_KEY

      cvc-identity-constraint.4.2.2: See clause 4.2.2 XMLSchema Structures 1.0: Identity-constraint Satisfied
      See Also:
        Constant Field Values

    - #### IDENTITY_CONSTRAINT_VALID$KEYREF_KEY_NOT_FOUND

          public static final String IDENTITY_CONSTRAINT_VALID$KEYREF_KEY_NOT_FOUND

      cvc-identity-constraint.4.3: See clause 4.3 XMLSchema Structures 1.0: Identity-constraint Satisfied
      See Also:
        Constant Field Values

    - #### DATATYPE_LENGTH_VALID

          public static final String DATATYPE_LENGTH_VALID

      cvc-length-valid: See XMLSchema Datatypes 1.0: Length Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_LENGTH_VALID$STRING

          public static final String DATATYPE_LENGTH_VALID$STRING

      cvc-length-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: Length Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_LENGTH_VALID$BINARY

          public static final String DATATYPE_LENGTH_VALID$BINARY

      cvc-length-valid.1.2: See clause 1.2 of XMLSchema Datatypes 1.0: Length Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_LENGTH_VALID$LIST_LENGTH

          public static final String DATATYPE_LENGTH_VALID$LIST_LENGTH

      cvc-length-valid.2: See clause 2 of XMLSchema Datatypes 1.0: Length Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_EXCLUSIVE_VALID

          public static final String DATATYPE_MAX_EXCLUSIVE_VALID

      cvc-maxExclusive-valid: See XMLSchema Datatypes 1.0: maxExclusive Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_INCLUSIVE_VALID

          public static final String DATATYPE_MAX_INCLUSIVE_VALID

      cvc-maxInclusive-valid: See XMLSchema Datatypes 1.0: maxInclusive Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_LENGTH_VALID

          public static final String DATATYPE_MAX_LENGTH_VALID

      cvc-maxLength-valid: See XMLSchema Datatypes 1.0: maxLength Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_LENGTH_VALID$STRING

          public static final String DATATYPE_MAX_LENGTH_VALID$STRING

      cvc-maxLength-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: maxLength Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_LENGTH_VALID$BINARY

          public static final String DATATYPE_MAX_LENGTH_VALID$BINARY

      cvc-maxLength-valid.1.2: See clause 1.2 of XMLSchema Datatypes 1.0: maxLength Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_LENGTH_VALID$LIST_LENGTH

          public static final String DATATYPE_MAX_LENGTH_VALID$LIST_LENGTH

      cvc-maxLength-valid.2: See clause 2 of XMLSchema Datatypes 1.0: maxLength Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_EXCLUSIVE_VALID

          public static final String DATATYPE_MIN_EXCLUSIVE_VALID

      cvc-minExclusive-valid: See XMLSchema Datatypes 1.0: minExclusive Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_INCLUSIVE_VALID

          public static final String DATATYPE_MIN_INCLUSIVE_VALID

      cvc-minInclusive-valid: See XMLSchema Datatypes 1.0: minInclusive Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_LENGTH_VALID

          public static final String DATATYPE_MIN_LENGTH_VALID

      cvc-minLength-valid: See XMLSchema Datatypes 1.0: minLength Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_LENGTH_VALID$STRING

          public static final String DATATYPE_MIN_LENGTH_VALID$STRING

      cvc-minLength-valid.1.1: See clause 1.1 of XMLSchema Datatypes 1.0: minLength Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_LENGTH_VALID$BINARY

          public static final String DATATYPE_MIN_LENGTH_VALID$BINARY

      cvc-minLength-valid.1.2: See clause 1.2 of XMLSchema Datatypes 1.0: minLength Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_LENGTH_VALID$LIST_LENGTH

          public static final String DATATYPE_MIN_LENGTH_VALID$LIST_LENGTH

      cvc-minLength-valid.2: See clause 2 of XMLSchema Datatypes 1.0: minLength Valid
      See Also:
        Constant Field Values

    - #### MODEL_GROUP_VALID

          public static final String MODEL_GROUP_VALID

      cvc-model-group: See XMLSchema Structures 1.0: Element Sequence Valid
      See Also:
        Constant Field Values

    - #### PARTICLE_VALID

          public static final String PARTICLE_VALID

      cvc-particle: See XMLSchema Structures 1.0: Element Sequence Locally Valid (Particle)
      See Also:
        Constant Field Values

    - #### PARTICLE_VALID$NOT_WILDCARD_VALID

          public static final String PARTICLE_VALID$NOT_WILDCARD_VALID

      cvc-particle.1.3: See XMLSchema Structures 1.0: Element Sequence Locally Valid (Particle)
      See Also:
        Constant Field Values

    - #### PARTICLE_VALID$BLOCK_SUBSTITUTION

          public static final String PARTICLE_VALID$BLOCK_SUBSTITUTION

      cvc-particle.2.3.3a: See XMLSchema Structures 1.0: Element Sequence Locally Valid (Particle)
      See Also:
        Constant Field Values

    - #### DATATYPE_PATTERN_VALID

          public static final String DATATYPE_PATTERN_VALID

      cvc-pattern-valid: See XMLSchema Datatypes 1.0: pattern valid
      See Also:
        Constant Field Values

    - #### RESOLVE_QNAME_INSTANCE_VALID

          public static final String RESOLVE_QNAME_INSTANCE_VALID

      cvc-resolve-instance: See XMLSchema Structures 1.0: QName resolution (Instance)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_STRING_VALID

          public static final String SIMPLE_TYPE_STRING_VALID

      cvc-simple-type: See XMLSchema Structures 1.0: String Valid
      See Also:
        Constant Field Values

    - #### DATATYPE_TOTAL_DIGITS_VALID

          public static final String DATATYPE_TOTAL_DIGITS_VALID

      cvc-totalDigits-valid: See XMLSchema Datatypes 1.0: totalDigits Valid
      See Also:
        Constant Field Values

    - #### ELEM_TYPE_LOCALLY_VALID

          public static final String ELEM_TYPE_LOCALLY_VALID

      cvc-type: See XMLSchema Structures 1.0: Element Locally Valid (Type)
      See Also:
        Constant Field Values

    - #### ELEM_TYPE_LOCALLY_VALID$ABSTRACT

          public static final String ELEM_TYPE_LOCALLY_VALID$ABSTRACT

      cvc-type.2: See clause 2 of XMLSchema Structures 1.0: Element Locally Valid (Type)
      See Also:
        Constant Field Values

    - #### WILDCARD_ITEM_VALID

          public static final String WILDCARD_ITEM_VALID

      cvc-wildcard: See XMLSchema Structures 1.0: Item Valid (Wildcard)
      See Also:
        Constant Field Values

    - #### WILDCARD_NAMESPACE_NAME_VALID

          public static final String WILDCARD_NAMESPACE_NAME_VALID

      cvc-wildcard-namespace: See XMLSchema Structures 1.0: Wildcard allows Namespace Name
      See Also:
        Constant Field Values

    - #### SCHEMA_REFERENCE

          public static final String SCHEMA_REFERENCE

      schema_reference: See XMLSchema Structures 1.0: Schema Document Location Strategy
      See Also:
        Constant Field Values

    - #### SCHEMA_ANNOTATION

          public static final String SCHEMA_ANNOTATION

      src-annotation: See XMLSchema Structures 1.0: Annotation Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR

          public static final String SCHEMA_ATTR

      src-attribute: See XMLSchema Structures 1.0: Attribute Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR$DEFAULT_OR_FIXED

          public static final String SCHEMA_ATTR$DEFAULT_OR_FIXED

      src-attribute.1: See clause 1 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR$FIXED_NOT_MATCH

          public static final String SCHEMA_ATTR$FIXED_NOT_MATCH

      au-value_constraint: See description for XMLSchema Structures 1.0: The Attribute Use Schema Component
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR$DEFAULT_AND_USE_OPTIONAL

          public static final String SCHEMA_ATTR$DEFAULT_AND_USE_OPTIONAL

      src-attribute.2: See clause 2 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR$REF_OR_NAME_HAS_BOTH

          public static final String SCHEMA_ATTR$REF_OR_NAME_HAS_BOTH

      src-attribute.3.1a: See clause 3.1 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR$REF_OR_NAME_HAS_NEITHER

          public static final String SCHEMA_ATTR$REF_OR_NAME_HAS_NEITHER

      src-attribute.3.1b: See clause 3.1 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR$REF_FEATURES

          public static final String SCHEMA_ATTR$REF_FEATURES

      src-attribute.3.2: See clause 3.2 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR$TYPE_ATTR_OR_NESTED_TYPE

          public static final String SCHEMA_ATTR$TYPE_ATTR_OR_NESTED_TYPE

      src-attribute.4: See clause 4 of XMLSchema Structures 1.0: Attribute Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR_GROUP

          public static final String SCHEMA_ATTR_GROUP

      src-attribute_group: See XMLSchema Structures 1.0: Attribute Group Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ATTR_GROUP$SELF_REF

          public static final String SCHEMA_ATTR_GROUP$SELF_REF

      src-attribute_group.3: See clause 3 of XMLSchema Structures 1.0: Attribute Group Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_COMPLEX_TYPE

          public static final String SCHEMA_COMPLEX_TYPE

      src-ct: See XMLSchema Structures 1.0: Complex Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_COMPLEX_TYPE$COMPLEX_CONTENT

          public static final String SCHEMA_COMPLEX_TYPE$COMPLEX_CONTENT

      src-ct.1: See clause 1 of XMLSchema Structures 1.0: Complex Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_COMPLEX_TYPE$SIMPLE_CONTENT

          public static final String SCHEMA_COMPLEX_TYPE$SIMPLE_CONTENT

      src-ct.2: See clause 2 of XMLSchema Structures 1.0: Complex Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ELEM

          public static final String SCHEMA_ELEM

      src-element: See XMLSchema Structures 1.0: Element Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ELEM$DEFAULT_OR_FIXED

          public static final String SCHEMA_ELEM$DEFAULT_OR_FIXED

      src-element.1: See clause 1 of XMLSchema Structures 1.0: Element Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ELEM$REF_OR_NAME_HAS_BOTH

          public static final String SCHEMA_ELEM$REF_OR_NAME_HAS_BOTH

      src-element.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Element Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ELEM$REF_OR_NAME_HAS_NEITHER

          public static final String SCHEMA_ELEM$REF_OR_NAME_HAS_NEITHER

      src-element.2.1b: See clause 2.1 of XMLSchema Structures 1.0: Element Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ELEM$REF_FEATURES

          public static final String SCHEMA_ELEM$REF_FEATURES

      src-element.2.2: See clause 2.2 of XMLSchema Structures 1.0: Element Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_ELEM$TYPE_ATTR_OR_NESTED_TYPE

          public static final String SCHEMA_ELEM$TYPE_ATTR_OR_NESTED_TYPE

      src-element.3: See clause 3 of XMLSchema Structures 1.0: Element Declaration Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_REDEFINITION

          public static final String SCHEMA_REDEFINITION

      src-expredef: See XMLSchema Structures 1.0: Individual Component Redefinition
      See Also:
        Constant Field Values

    - #### SCHEMA_IDENTITY_CONSTRAINT

          public static final String SCHEMA_IDENTITY_CONSTRAINT

      src-identity-constraint: See XMLSchema Structures 1.0: Identity-constraint Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_IMPORT

          public static final String SCHEMA_IMPORT

      src-import: See XMLSchema Structures 1.0: Import Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_INCLUDE

          public static final String SCHEMA_INCLUDE

      src-include: See XMLSchema Structures 1.0: Inclusion Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$LIST_ITEM_TYPE_OR_SIMPLE_TYPE

          public static final String SCHEMA_SIMPLE_TYPE$LIST_ITEM_TYPE_OR_SIMPLE_TYPE

      src-list-itemType-or-simpleType: See XMLSchema Datatypes 1.0: itemType attribute or simpleType child
      See Also:
        Constant Field Values

    - #### SCHEMA_MODEL_GROUP

          public static final String SCHEMA_MODEL_GROUP

      src-model_group: See XMLSchema Structures 1.0: Model Group Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_MODEL_GROUP_DEFN

          public static final String SCHEMA_MODEL_GROUP_DEFN

      src-model_group_defn: See XMLSchema Structures 1.0: Model Group Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_MULTIPLE_ENUMS

          public static final String SCHEMA_MULTIPLE_ENUMS

      src-multiple-enumerations: See XMLSchema Datatypes 1.0: Multiple enumerations
      See Also:
        Constant Field Values

    - #### SCHEMA_MULTIPLE_PATTERNS

          public static final String SCHEMA_MULTIPLE_PATTERNS

      src-multiple-patterns: See XMLSchema Datatypes 1.0: Multiple patterns
      See Also:
        Constant Field Values

    - #### SCHEMA_NOTATION

          public static final String SCHEMA_NOTATION

      src-notation: See XMLSchema Structures 1.0: Notation Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_QNAME

          public static final String SCHEMA_QNAME

      src-qname: See XMLSchema Structures 1.0: QName Interpretation
      See Also:
        Constant Field Values

    - #### SCHEMA_REDEFINE

          public static final String SCHEMA_REDEFINE

      src-redefine: See XMLSchema Structures 1.0: Redefinition Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_REDEFINE$EXTEND_OR_RESTRICT

          public static final String SCHEMA_REDEFINE$EXTEND_OR_RESTRICT

      src-redefine.5a: See clause 5 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_REDEFINE$SAME_TYPE

          public static final String SCHEMA_REDEFINE$SAME_TYPE

      src-redefine.5b: See clause 5 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_REDEFINE$GROUP_SELF_REF

          public static final String SCHEMA_REDEFINE$GROUP_SELF_REF

      src-redefine.6.1.1: See clause 6.1.1 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_REDEFINE$GROUP_SELF_REF_MIN_MAX_1

          public static final String SCHEMA_REDEFINE$GROUP_SELF_REF_MIN_MAX_1

      src-redefine.6.1.2: See clause 6.1.2 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_REDEFINE$ATTR_GROUP_SELF_REF

          public static final String SCHEMA_REDEFINE$ATTR_GROUP_SELF_REF

      src-redefine.7.1: See clause 7.1 of XMLSchema Structures 1.0: Redefinition Constraints and Semantics
      See Also:
        Constant Field Values

    - #### SCHEMA_QNAME_RESOLVE

          public static final String SCHEMA_QNAME_RESOLVE

      src-resolve: See XMLSchema Structures 1.0: QName resolution (Schema Document)
      See Also:
        Constant Field Values

    - #### SCHEMA_QNAME_RESOLVE$HELP

          public static final String SCHEMA_QNAME_RESOLVE$HELP

      src-resolve: See XMLSchema Structures 1.0: QName resolution (Schema Document)
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$RESTICTION_HAS_BASE_OR_SIMPLE_TYPE

          public static final String SCHEMA_SIMPLE_TYPE$RESTICTION_HAS_BASE_OR_SIMPLE_TYPE

      src-restriction-base-or-simpleType: See XMLSchema Datatypes 1.0: base attribute or simpleType child
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE

          public static final String SCHEMA_SIMPLE_TYPE

      src-simple-type: See XMLSchema Structures 1.0: Simple Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_BOTH_BASE_OR_SIMPLE_TYPE

          public static final String SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_BOTH_BASE_OR_SIMPLE_TYPE

      src-simple-type.2a: See clause 2 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_NEITHER_BASE_OR_SIMPLE_TYPE

          public static final String SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_NEITHER_BASE_OR_SIMPLE_TYPE

      src-simple-type.2b: See clause 2 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$LIST_HAS_BOTH_ITEM_OR_SIMPLE_TYPE

          public static final String SCHEMA_SIMPLE_TYPE$LIST_HAS_BOTH_ITEM_OR_SIMPLE_TYPE

      src-simple-type.3a: See clause 3 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$LIST_HAS_NEITHER_ITEM_OR_SIMPLE_TYPE

          public static final String SCHEMA_SIMPLE_TYPE$LIST_HAS_NEITHER_ITEM_OR_SIMPLE_TYPE

      src-simple-type.3b: See clause 3 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$CYCLIC_UNION

          public static final String SCHEMA_SIMPLE_TYPE$CYCLIC_UNION

      src-simple-type.4: See clause 4 of XMLSchema Structures 1.0: Simple Type Definition Representation OK
      See Also:
        Constant Field Values

    - #### DATATYPE_SINGLE_FACET_VALUE

          public static final String DATATYPE_SINGLE_FACET_VALUE

      src-single-facet-value: See XMLSchema Datatypes 1.0: Single Facet Value
      See Also:
        Constant Field Values

    - #### SCHEMA_SIMPLE_TYPE$UNION_HAS_MEMBER_TYPES_OR_SIMPLE_TYPES

          public static final String SCHEMA_SIMPLE_TYPE$UNION_HAS_MEMBER_TYPES_OR_SIMPLE_TYPES

      src-union-memberTypes-or-simpleTypes: See XMLSchema Datatypes 1.0: memberTypes attribute or simpleType children
      See Also:
        Constant Field Values

    - #### SCHEMA_WILDCARD

          public static final String SCHEMA_WILDCARD

      src-wildcard: See XMLSchema Structures 1.0: Wildcard Representation OK
      See Also:
        Constant Field Values

    - #### ATTR_PROPERTIES

          public static final String ATTR_PROPERTIES

      a-props-correct: See XMLSchema Structures 1.0: Attribute Declaration Properties Correct
      See Also:
        Constant Field Values

    - #### ATTR_PROPERTIES$CONSTRAINT_VALID

          public static final String ATTR_PROPERTIES$CONSTRAINT_VALID

      a-props-correct.2: See clause 2 of XMLSchema Spec: Attribute Declaration Properties
      See Also:
        Constant Field Values

    - #### ATTR_PROPERTIES$ID_FIXED_OR_DEFAULT

          public static final String ATTR_PROPERTIES$ID_FIXED_OR_DEFAULT

      a-props-correct.3: See clause 3 of XMLSchema Spec: Attribute Declaration Properties
      See Also:
        Constant Field Values

    - #### ATTR_GROUP_PROPERTIES

          public static final String ATTR_GROUP_PROPERTIES

      ag-props-correct: See XMLSchema Structures 1.0: Attribute Group Definition Properties Correct
      See Also:
        Constant Field Values

    - #### ATTR_GROUP_PROPERTIES$2

          public static final String ATTR_GROUP_PROPERTIES$2

      ag-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Attribute Group Definition Properties Correct
      See Also:
        Constant Field Values

    - #### ATTR_GROUP_PROPERTIES$TWO_IDS

          public static final String ATTR_GROUP_PROPERTIES$TWO_IDS

      ag-props-correct.3: See clause 3 of XMLSchema Structures 1.0: Attribute Group Definition Properties Correct
      See Also:
        Constant Field Values

    - #### ANNO_PROPERTIES

          public static final String ANNO_PROPERTIES

      an-props-correct: See XMLSchema Structures 1.0: Annotation Correct
      See Also:
        Constant Field Values

    - #### ATTR_USE_PROPERTIES

          public static final String ATTR_USE_PROPERTIES

      au-props-correct: See XMLSchema Structures 1.0: Attribute Use Correct
      See Also:
        Constant Field Values

    - #### FIELDS_XPATH

          public static final String FIELDS_XPATH

      c-fields-xpaths: See XMLSchema Structures 1.0: Fields Value OK
      See Also:
        Constant Field Values

    - #### IDENTITY_CONSTRAINT_PROPERTIES

          public static final String IDENTITY_CONSTRAINT_PROPERTIES

      c-props-correct: See XMLSchema Structures 1.0: Identity-constraint Definition Properties Correct
      See Also:
        Constant Field Values

    - #### IDENTITY_CONSTRAINT_PROPERTIES$KEYREF_REFERS_TO_KEYREF

          public static final String IDENTITY_CONSTRAINT_PROPERTIES$KEYREF_REFERS_TO_KEYREF

      c-props-correct.1: See clause 1 of XMLSchema Structures 1.0: Identity-constraint Definition Properties Correct
      See Also:
        Constant Field Values

    - #### IDENTITY_CONSTRAINT_PROPERTIES$KEY_KEYREF_FIELD_COUNT_EQ

          public static final String IDENTITY_CONSTRAINT_PROPERTIES$KEY_KEYREF_FIELD_COUNT_EQ

      c-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Identity-constraint Definition Properties Correct
      See Also:
        Constant Field Values

    - #### SELECTOR_XPATH

          public static final String SELECTOR_XPATH

      c-selector-xpath: See XMLSchema Structures 1.0: Selector Value OK
      See Also:
        Constant Field Values

    - #### ALL_GROUP_LIMITED

          public static final String ALL_GROUP_LIMITED

      cos-all-limited: See XMLSchema Structures 1.0: All Group Limited
      See Also:
        Constant Field Values

    - #### ALL_GROUP_LIMITED$IN_MIN_MAX_1_PARTICLE

          public static final String ALL_GROUP_LIMITED$IN_MIN_MAX_1_PARTICLE

      cos-all-limited.1.2a: See clause 1.2 of XMLSchema Structures 1.0: All Group Limited
      See Also:
        Constant Field Values

    - #### ALL_GROUP_LIMITED$IN_COMPLEX_TYPE_DEF_PARTICLE

          public static final String ALL_GROUP_LIMITED$IN_COMPLEX_TYPE_DEF_PARTICLE

      cos-all-limited.1.2b: See clause 1.2 of XMLSchema Structures 1.0: All Group Limited
      See Also:
        Constant Field Values

    - #### ALL_GROUP_LIMITED$CHILD_PARTICLES_MAX_LTE_1

          public static final String ALL_GROUP_LIMITED$CHILD_PARTICLES_MAX_LTE_1

      cos-all-limited.2: See clause 2 of XMLSchema Structures 1.0: All Group Limited
      See Also:
        Constant Field Values

    - #### FACETS_APPLICABLE

          public static final String FACETS_APPLICABLE

      cos-applicable-facets: See XMLSchema Datatypes 1.0: applicable facets
      See Also:
        Constant Field Values

    - #### FACETS_DEPRECATED_NOTATION

          public static final String FACETS_DEPRECATED_NOTATION

      notation-facets: See http://www.w3.org/TR/xmlschema-2/#NOTATION-facets
      See Also:
        Constant Field Values

    - #### ATTR_WILDCARD_INTERSECT

          public static final String ATTR_WILDCARD_INTERSECT

      cos-aw-intersect: See XMLSchema Structures 1.0: Attribute Wildcard Intersection
      See Also:
        Constant Field Values

    - #### ATTR_WILDCARD_UNION

          public static final String ATTR_WILDCARD_UNION

      cos-aw-union: See XMLSchema Structures 1.0: Attribute Wildcard Union
      See Also:
        Constant Field Values

    - #### ATTR_NOTATION_TYPE_FORBIDDEN

          public static final String ATTR_NOTATION_TYPE_FORBIDDEN

      enumeration-required-notation: See XMLSchema Datatypes 1.0: Schema Component Constraint: enumeration facet value required for NOTATION
      See Also:
        Constant Field Values

    - #### ATTR_COMPATIBILITY_TARGETNS

          public static final String ATTR_COMPATIBILITY_TARGETNS

      XMLSchema Datatypes 1.0: Definition of type NOTATION
      See Also:
        Constant Field Values

    - #### CHOICE_RANGE

          public static final String CHOICE_RANGE

      cos-choice-range: See XMLSchema Structures 1.0: Effective Total Range (choice)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_DERIVATION

          public static final String COMPLEX_TYPE_DERIVATION

      cos-ct-derived-ok: See XMLSchema Structures 1.0: Type Derivation OK (Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_EXTENSION

          public static final String COMPLEX_TYPE_EXTENSION

      cos-ct-extends: See XMLSchema Structures 1.0: Derivation Valid (Extension)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_EXTENSION$EXTENDING_SIMPLE_CONTENT

          public static final String COMPLEX_TYPE_EXTENSION$EXTENDING_SIMPLE_CONTENT

      cos-ct-extends.1.4.1: See clause 1.4.1 of XMLSchema Structures 1.0: Derivation Valid (Extension)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_EXTENSION$BOTH_ELEMEMENT_OR_MIXED

          public static final String COMPLEX_TYPE_EXTENSION$BOTH_ELEMEMENT_OR_MIXED

      cos-ct-extends.1.4.2.2: See clause 1.4.2.2 of XMLSchema Structures 1.0: Derivation Valid (Extension)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_EXTENSION$FINAL

          public static final String COMPLEX_TYPE_EXTENSION$FINAL

      derivation-ok-restriction.1.1: See clause 1.1 of XMLSchema Structures 1.0: Derivation Valid (Extension)
      See Also:
        Constant Field Values

    - #### ELEM_CONSISTANT

          public static final String ELEM_CONSISTANT

      cos-element-consistant: See XMLSchema Structures 1.0: Element Declarations Consistent
      See Also:
        Constant Field Values

    - #### SUBST_GROUP

          public static final String SUBST_GROUP

      cos-equiv-class: See XMLSchema Structures 1.0: Substitution Group
      See Also:
        Constant Field Values

    - #### SUBST_GROUP_DERIVED

          public static final String SUBST_GROUP_DERIVED

      cos-equiv-derived-ok-rec: See XMLSchema Structures 1.0: Substitution Group OK (Transitive)
      See Also:
        Constant Field Values

    - #### PARTICLE_EMPTIABLE

          public static final String PARTICLE_EMPTIABLE

      cos-group-emptiable: See XMLSchema Structures 1.0: Particle Emptiable
      See Also:
        Constant Field Values

    - #### DATATYPE_LIST_OF_ATOMIC

          public static final String DATATYPE_LIST_OF_ATOMIC

      cos-list-of-atomic: See XMLSchema Datatypes 1.0: list of atomic
      See Also:
        Constant Field Values

    - #### DATATYPE_CIRCULAR_UNION

          public static final String DATATYPE_CIRCULAR_UNION

      cos-no-circular-unions: See XMLSchema Datatypes 1.0: no circular unions
      See Also:
        Constant Field Values

    - #### UNIQUE_PARTICLE_ATTRIBUTION

          public static final String UNIQUE_PARTICLE_ATTRIBUTION

      cos-nonambig: See XMLSchema Structures 1.0: Unique Particle Attribution
      See Also:
        Constant Field Values

    - #### WILDCARD_SUBSET

          public static final String WILDCARD_SUBSET

      cos-ns-subset: See XMLSchema Structures 1.0: Wildcard Subset
      See Also:
        Constant Field Values

    - #### PARTICLE_EXTENSION

          public static final String PARTICLE_EXTENSION

      cos-particle-extend: See XMLSchema Structures 1.0: Particle Valid (Extension)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION

          public static final String PARTICLE_RESTRICTION

      cos-particle-restrict: See XMLSchema Structures 1.0: Particle Valid (Restriction)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION$INVALID_RESTRICTION

          public static final String PARTICLE_RESTRICTION$INVALID_RESTRICTION

      cos-particle-restrict.2: See clause 2 of XMLSchema Structures 1.0: Particle Valid (Restriction)
      See Also:
        Constant Field Values

    - #### SEQUENCE_RANGE

          public static final String SEQUENCE_RANGE

      cos-seq-range: See XMLSchema Structures 1.0: Effective Total Range (all and sequence)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_DERIVATION

          public static final String SIMPLE_TYPE_DERIVATION

      cos-st-derived-ok: See XMLSchema Structures 1.0: Type Derivation OK (Simple)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_RESTRICTION

          public static final String SIMPLE_TYPE_RESTRICTION

      cos-st-restricts: See XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_RESTRICTION$ATOMIC_NOT_SIMPLE

          public static final String SIMPLE_TYPE_RESTRICTION$ATOMIC_NOT_SIMPLE

      cos-st-restricts.1.1: See clause 1.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_RESTRICTION$LIST_ITEM_NOT_SIMPLE

          public static final String SIMPLE_TYPE_RESTRICTION$LIST_ITEM_NOT_SIMPLE

      cos-st-restricts.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_LIST

          public static final String SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_LIST

      cos-st-restricts.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_UNION_OF_LIST

          public static final String SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_UNION_OF_LIST

      cos-st-restricts.2.1a: See clause 2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_RESTRICTION$UNION_MEMBER_NOT_SIMPLE

          public static final String SIMPLE_TYPE_RESTRICTION$UNION_MEMBER_NOT_SIMPLE

      cos-st-restricts.3.1: See clause 3.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Simple)
      See Also:
        Constant Field Values

    - #### ELEM_DEFAULT_VALID

          public static final String ELEM_DEFAULT_VALID

      cos-valid-default: See XMLSchema Structures 1.0: Element Default Valid (Immediate)
      See Also:
        Constant Field Values

    - #### ELEM_DEFAULT_VALID$SIMPLE_TYPE_OR_MIXED

          public static final String ELEM_DEFAULT_VALID$SIMPLE_TYPE_OR_MIXED

      cos-valid-default.2.1: See clause 2.1 of XMLSchema Structures 1.0: Element Default Valid (Immediate)
      See Also:
        Constant Field Values

    - #### ELEM_DEFAULT_VALID$MIXED_AND_EMPTIABLE

          public static final String ELEM_DEFAULT_VALID$MIXED_AND_EMPTIABLE

      cos-valid-default.2.2.2: See clause 2.2.2 of XMLSchema Structures 1.0: Element Default Valid (Immediate)
      See Also:
        Constant Field Values

    - #### ELEM_COMPATIBILITY_TYPE

          public static final String ELEM_COMPATIBILITY_TYPE

      XMLSchema Datatypes 1.0: Definitions of types ID, IDREF, IDREFS, ENTITY, ENTITIES, NOTATION
      See Also:
        Constant Field Values

    - #### ELEM_COMPATIBILITY_TARGETNS

          public static final String ELEM_COMPATIBILITY_TARGETNS

      XMLSchema Datatypes 1.0: Definition of type NOTATION
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_PROPERTIES

          public static final String COMPLEX_TYPE_PROPERTIES

      ct-props-correct: See XMLSchema Structures 1.0: Complex Type Definition Properties Correct
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_PROPERTIES$SIMPLE_TYPE_EXTENSION

          public static final String COMPLEX_TYPE_PROPERTIES$SIMPLE_TYPE_EXTENSION

      ct-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Complex Type Definition Properties Correct
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_PROPERTIES$DUPLICATE_ATTRIBUTE

          public static final String COMPLEX_TYPE_PROPERTIES$DUPLICATE_ATTRIBUTE

      ct-props-correct.4: See clause 4 of XMLSchema Structures 1.0: Complex Type Definition Properties Correct
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION

          public static final String COMPLEX_TYPE_RESTRICTION

      derivation-ok-restriction: See XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$FINAL

          public static final String COMPLEX_TYPE_RESTRICTION$FINAL

      derivation-ok-restriction.1: See clause 1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$ATTR_REQUIRED

          public static final String COMPLEX_TYPE_RESTRICTION$ATTR_REQUIRED

      derivation-ok-restriction.2.1.1: See clause 2.1.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$ATTR_IN_BASE_WILDCARD_SET

          public static final String COMPLEX_TYPE_RESTRICTION$ATTR_IN_BASE_WILDCARD_SET

      derivation-ok-restriction.2.2: See clause 2.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$BASE_HAS_ATTR_WILDCARD

          public static final String COMPLEX_TYPE_RESTRICTION$BASE_HAS_ATTR_WILDCARD

      derivation-ok-restriction.4.1: See clause 4.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$ATTR_WILDCARD_SUBSET

          public static final String COMPLEX_TYPE_RESTRICTION$ATTR_WILDCARD_SUBSET

      derivation-ok-restriction.4.2: See clause 4.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$SC_AND_SIMPLE_TYPE_OR_MIXED

          public static final String COMPLEX_TYPE_RESTRICTION$SC_AND_SIMPLE_TYPE_OR_MIXED

      derivation-ok-restriction.5.1: See clause 5.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$SC_AND_MIXED_EMPTIABLE

          public static final String COMPLEX_TYPE_RESTRICTION$SC_AND_MIXED_EMPTIABLE

      derivation-ok-restriction.5.1.2: See clause 5.1.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$SC_NOT_DERIVED

          public static final String COMPLEX_TYPE_RESTRICTION$SC_NOT_DERIVED

      derivation-ok-restriction.5.2.2.1: See clause 5.2.2.1 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$EMPTY_AND_NOT_SIMPLE

          public static final String COMPLEX_TYPE_RESTRICTION$EMPTY_AND_NOT_SIMPLE

      derivation-ok-restriction.5.2: See clause 5.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$EMPTY_AND_ELEMENT_OR_MIXED_EMPTIABLE

          public static final String COMPLEX_TYPE_RESTRICTION$EMPTY_AND_ELEMENT_OR_MIXED_EMPTIABLE

      derivation-ok-restriction.5.2.2: See clause 5.2.2 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_VALID

          public static final String COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_VALID

      derivation-ok-restriction.5.3: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_MIXED

          public static final String COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_MIXED

      derivation-ok-restriction.5.3a: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_EMPTY

          public static final String COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_EMPTY

      derivation-ok-restriction.5.3b: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_SIMPLE

          public static final String COMPLEX_TYPE_RESTRICTION$ELEMENT_OR_MIXED_AND_SIMPLE

      derivation-ok-restriction.5.3c: See clause 5.3 of XMLSchema Structures 1.0: Derivation Valid (Restriction, Complex)
      See Also:
        Constant Field Values

    - #### ELEM_PROPERTIES

          public static final String ELEM_PROPERTIES

      e-props-correct: See XMLSchema Structures 1.0: Element Declaration Properties Correct
      See Also:
        Constant Field Values

    - #### ELEM_PROPERTIES$CONSTRAINT_VALID

          public static final String ELEM_PROPERTIES$CONSTRAINT_VALID

      e-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Element Declaration Properties Correct
      See Also:
        Constant Field Values

    - #### ELEM_PROPERTIES$SUBSTITUTION_VALID

          public static final String ELEM_PROPERTIES$SUBSTITUTION_VALID

      e-props-correct.4: See clause 4 of XMLSchema Structures 1.0: Element Declaration Properties Correct
      See Also:
        Constant Field Values

    - #### ELEM_PROPERTIES$SUBSTITUTION_FINAL

          public static final String ELEM_PROPERTIES$SUBSTITUTION_FINAL

      e-props-correct.4a: See clause 4 of XMLSchema Structures 1.0: Element Declaration Properties Correct
      See Also:
        Constant Field Values

    - #### ELEM_NOTATION_TYPE_FORBIDDEN

          public static final String ELEM_NOTATION_TYPE_FORBIDDEN

      enumeration-required-notation: See XMLSchema Datatypes 1.0: Schema Component Constraint: enumeration facet value required for NOTATION
      See Also:
        Constant Field Values

    - #### DATATYPE_ENUM_NOTATION

          public static final String DATATYPE_ENUM_NOTATION

      enumeration-required-notation: See XMLSchema Datatypes 1.0: enumeration facet value required for NOTATION
      See Also:
        Constant Field Values

    - #### DATATYPE_ENUM_RESTRICTION

          public static final String DATATYPE_ENUM_RESTRICTION

      enumeration-valid-restriction: See XMLSchema Datatypes 1.0: enumeration valid restriction
      See Also:
        Constant Field Values

    - #### DATATYPE_FRACTION_DIGITS_LE_TOTAL_DIGITS

          public static final String DATATYPE_FRACTION_DIGITS_LE_TOTAL_DIGITS

      fractionDigits-totalDigits: See XMLSchema Datatypes 1.0: fractionDigits less than or equal to totalDigits
      See Also:
        Constant Field Values

    - #### DATATYPE_FRACTION_DIGITS_RESTRICTION

          public static final String DATATYPE_FRACTION_DIGITS_RESTRICTION

      fractionDigits-valid-restriction: See XMLSchema Datatypes 1.0: fractionDigits valid restriction
      See Also:
        Constant Field Values

    - #### DATATYPE_LENGTH

          public static final String DATATYPE_LENGTH

      length-minLength-maxLength: See XMLSchema Datatypes 1.0: length and minLength or maxLength
      See Also:
        Constant Field Values

    - #### DATATYPE_LENGTH_RESTRICTION

          public static final String DATATYPE_LENGTH_RESTRICTION

      length-valid-restriction: See XMLSchema Datatypes 1.0: length valid restriction
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_EXCLUSIVE_RESTRICTION

          public static final String DATATYPE_MAX_EXCLUSIVE_RESTRICTION

      maxExclusive-valid-restriction: See XMLSchema Datatypes 1.0: maxExclusive valid restriction
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_INCLUSIVE_MAX_EXCLUSIVE

          public static final String DATATYPE_MIN_INCLUSIVE_MAX_EXCLUSIVE

      maxInclusive-maxExclusive: See XMLSchema Datatypes 1.0: maxInclusive and maxExclusive
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_INCLUSIVE_RESTRICTION

          public static final String DATATYPE_MAX_INCLUSIVE_RESTRICTION

      maxInclusive-valid-restriction: See XMLSchema Datatypes 1.0: maxInclusive valid restriction
      See Also:
        Constant Field Values

    - #### DATATYPE_MAX_LENGTH_RESTRICTION

          public static final String DATATYPE_MAX_LENGTH_RESTRICTION

      maxLength-valid-restriction: See XMLSchema Datatypes 1.0: maxLength valid restriction
      See Also:
        Constant Field Values

    - #### MODEL_GROUP_PROPERTIES

          public static final String MODEL_GROUP_PROPERTIES

      mg-props-correct: See XMLSchema Structures 1.0: Model Group Correct
      See Also:
        Constant Field Values

    - #### MODEL_GROUP_PROPERTIES$CIRCULAR

          public static final String MODEL_GROUP_PROPERTIES$CIRCULAR

      mg-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Model Group Correct
      See Also:
        Constant Field Values

    - #### MODEL_GROUP_DEFN_PROPERTIES

          public static final String MODEL_GROUP_DEFN_PROPERTIES

      mgd-props-correct: See XMLSchema Structures 1.0: Model Group Definition Properties Correct
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_EXCLUSIVE_LE_MAX_EXCLUSIVE

          public static final String DATATYPE_MIN_EXCLUSIVE_LE_MAX_EXCLUSIVE

      minExclusive-less-than-equal-to-maxExclusive: See XMLSchema Datatypes 1.0: minExclusive <= maxExclusive
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_EXCLUSIVE_LE_MAX_INCLUSIVE

          public static final String DATATYPE_MIN_EXCLUSIVE_LE_MAX_INCLUSIVE

      minExclusive-less-than-maxInclusive: See XMLSchema Datatypes 1.0: minExclusive < maxInclusive
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_EXCLUSIVE_RESTRICTION

          public static final String DATATYPE_MIN_EXCLUSIVE_RESTRICTION

      minExclusive-valid-restriction: See XMLSchema Datatypes 1.0: minExclusive valid restriction
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_INCLUSIVE_LTE_MAX_INCLUSIVE

          public static final String DATATYPE_MIN_INCLUSIVE_LTE_MAX_INCLUSIVE

      minInclusive-less-than-equal-to-maxInclusive: See XMLSchema Datatypes 1.0: minInclusive <= maxInclusive
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_INCLUSIVE_LE_MAX_EXCLUSIVE

          public static final String DATATYPE_MIN_INCLUSIVE_LE_MAX_EXCLUSIVE

      minInclusive-less-than-maxExclusive: See XMLSchema Datatypes 1.0: minInclusive < maxExclusive
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_INCLUSIVE_MIN_EXCLUSIVE

          public static final String DATATYPE_MIN_INCLUSIVE_MIN_EXCLUSIVE

      minInclusive-minExclusive: See XMLSchema Datatypes 1.0: minInclusive and minExclusive
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_INCLUSIVE_RESTRICTION

          public static final String DATATYPE_MIN_INCLUSIVE_RESTRICTION

      minInclusive-valid-restriction: See XMLSchema Datatypes 1.0: minInclusive valid restriction
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_LENGTH_LE_MAX_LENGTH

          public static final String DATATYPE_MIN_LENGTH_LE_MAX_LENGTH

      minLength-less-than-equal-to-maxLength: See XMLSchema Datatypes 1.0: minLength <= maxLength
      See Also:
        Constant Field Values

    - #### DATATYPE_MIN_LENGTH_RESTRICTION

          public static final String DATATYPE_MIN_LENGTH_RESTRICTION

      minLength-valid-restriction: See XMLSchema Datatypes 1.0: minLength valid restriction
      See Also:
        Constant Field Values

    - #### NOTATION_PROPERTIES

          public static final String NOTATION_PROPERTIES

      n-props-correct: See XMLSchema Structures 1.0: Notation Declaration Correct
      See Also:
        Constant Field Values

    - #### NO_XMLNS

          public static final String NO_XMLNS

      no-xmlns: See XMLSchema Structures 1.0: xmlns Not Allowed
      See Also:
        Constant Field Values

    - #### NO_XSI

          public static final String NO_XSI

      no-xsi: See XMLSchema Structures 1.0: xsi: Not Allowed
      See Also:
        Constant Field Values

    - #### PARTICLE_PROPERTIES

          public static final String PARTICLE_PROPERTIES

      p-props-correct: See XMLSchema Structures 1.0: Particle Correct
      See Also:
        Constant Field Values

    - #### PARTICLE_PROPERTIES$MIN_LTE_MAX

          public static final String PARTICLE_PROPERTIES$MIN_LTE_MAX

      p-props-correct.2.1: See clause 2.1 of XMLSchema Structures 1.0: Particle Correct
      See Also:
        Constant Field Values

    - #### PARTICLE_PROPERTIES$MAX_GTE_1

          public static final String PARTICLE_PROPERTIES$MAX_GTE_1

      p-props-correct.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Correct
      See Also:
        Constant Field Values

    - #### OCCURRENCE_RANGE

          public static final String OCCURRENCE_RANGE

      range-ok: See XMLSchema Structures 1.0: Occurrence Range OK
      See Also:
        Constant Field Values

    - #### OCCURRENCE_RANGE$MIN_GTE_MIN

          public static final String OCCURRENCE_RANGE$MIN_GTE_MIN

      range-ok.1: See clause 1 of XMLSchema Structures 1.0: Occurrence Range OK
      See Also:
        Constant Field Values

    - #### OCCURRENCE_RANGE$MAX_LTE_MAX

          public static final String OCCURRENCE_RANGE$MAX_LTE_MAX

      range-ok.2: See clause 2 of XMLSchema Structures 1.0: Occurrence Range OK
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_MAP_AND_SUM

          public static final String PARTICLE_DERIVATION_MAP_AND_SUM

      rcase-MapAndSum: See XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_MAP_AND_SUM$MAP

          public static final String PARTICLE_DERIVATION_MAP_AND_SUM$MAP

      rcase-MapAndSum.1: See clause 1 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_MAP_AND_SUM$SUM_MIN_OCCURS_GTE_MIN_OCCURS

          public static final String PARTICLE_DERIVATION_MAP_AND_SUM$SUM_MIN_OCCURS_GTE_MIN_OCCURS

      rcase-MapAndSum.2a: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_MAP_AND_SUM$SUM_MAX_OCCURS_LTE_MAX_OCCURS

          public static final String PARTICLE_DERIVATION_MAP_AND_SUM$SUM_MAX_OCCURS_LTE_MAX_OCCURS

      rcase-MapAndSum.2b: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:Choice -- MapAndSum)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE

      rcase-NameAndTypeOK: See XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE$NAME

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE$NAME

      rcase-NameAndTypeOK.1: See clause 1 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE$NILLABLE

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE$NILLABLE

      rcase-NameAndTypeOK.2: See clause 2 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE$FIXED

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE$FIXED

      rcase-NameAndTypeOK.4: See clause 4 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE$IDENTITY_CONSTRAINTS

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE$IDENTITY_CONSTRAINTS

      rcase-NameAndTypeOK.5: See clause 5 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE$DISALLOWED_SUBSTITUTIONS

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE$DISALLOWED_SUBSTITUTIONS

      rcase-NameAndTypeOK.6: See clause 6 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE$TYPE_VALID

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE$TYPE_VALID

      rcase-NameAndTypeOK.7a: See clause 7 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_RESTRICTION_NAME_AND_TYPE$TYPE_RESTRICTED

          public static final String PARTICLE_RESTRICTION_NAME_AND_TYPE$TYPE_RESTRICTED

      rcase-NameAndTypeOK.7b: See clause 7 of XMLSchema Structures 1.0: Particle Restriction OK (Elt:Elt -- NameAndTypeOK)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_NS_COMPAT

          public static final String PARTICLE_DERIVATION_NS_COMPAT

      rcase-NSCompat: See XMLSchema Structures 1.0: Particle Derivation OK (Elt:Any -- NSCompat)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_NS_COMPAT$WILDCARD_VALID

          public static final String PARTICLE_DERIVATION_NS_COMPAT$WILDCARD_VALID

      rcase-NSCompat.1: See clause 1 of XMLSchema Structures 1.0: Particle Derivation OK (Elt:Any -- NSCompat)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_NS_RECURSE

          public static final String PARTICLE_DERIVATION_NS_RECURSE

      rcase-NSRecurseCheckCardinality: See XMLSchema Structures 1.0: Particle Derivation OK (All/Choice/Sequence:Any -- NSRecurseCheckCardinality)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_NS_SUBST

          public static final String PARTICLE_DERIVATION_NS_SUBST

      rcase-NSSubset: See XMLSchema Structures 1.0: Particle Derivation OK (Any:Any -- NSSubset)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_NS_SUBST$WILDCARD_SUBSET

          public static final String PARTICLE_DERIVATION_NS_SUBST$WILDCARD_SUBSET

      rcase-NSSubset.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Any:Any -- NSSubset)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE

          public static final String PARTICLE_DERIVATION_RECURSE

      rcase-Recurse: See XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE$MAP

          public static final String PARTICLE_DERIVATION_RECURSE$MAP

      rcase-Recurse.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE$MAP_VALID

          public static final String PARTICLE_DERIVATION_RECURSE$MAP_VALID

      rcase-Recurse.2.1: See clause 2.1 of XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE$UNMAPPED_ARE_EMPTIABLE

          public static final String PARTICLE_DERIVATION_RECURSE$UNMAPPED_ARE_EMPTIABLE

      rcase-Recurse.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Derivation OK (All:All,Sequence:Sequence -- Recurse)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_GROUP

          public static final String PARTICLE_DERIVATION_RECURSE_GROUP

      rcase-RecurseAsIfGroup: See XMLSchema Structures 1.0: Particle Derivation OK (Elt:All/Choice/Sequence -- RecurseAsIfGroup)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_LAX

          public static final String PARTICLE_DERIVATION_RECURSE_LAX

      rcase-RecurseLax: See XMLSchema Structures 1.0: Particle Derivation OK (Choice:Choice -- RecurseLax)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_LAX$MAP

          public static final String PARTICLE_DERIVATION_RECURSE_LAX$MAP

      rcase-RecurseLax.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Choice:Choice -- RecurseLax)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_UNORDERED

          public static final String PARTICLE_DERIVATION_RECURSE_UNORDERED

      rcase-RecurseUnordered: See XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP

          public static final String PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP

      rcase-RecurseUnordered.2: See clause 2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_UNIQUE

          public static final String PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_UNIQUE

      rcase-RecurseUnordered.2.1: See clause 2.1 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_VALID

          public static final String PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_VALID

      rcase-RecurseUnordered.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_MAX_OCCURS_1

          public static final String PARTICLE_DERIVATION_RECURSE_UNORDERED$MAP_MAX_OCCURS_1

      rcase-RecurseUnordered.2.2: See clause 2.2 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
      See Also:
        Constant Field Values

    - #### PARTICLE_DERIVATION_RECURSE_UNORDERED$UNMAPPED_ARE_EMPTIABLE

          public static final String PARTICLE_DERIVATION_RECURSE_UNORDERED$UNMAPPED_ARE_EMPTIABLE

      rcase-RecurseUnordered.2.3: See clause 2.3 of XMLSchema Structures 1.0: Particle Derivation OK (Sequence:All -- RecurseUnordered)
      See Also:
        Constant Field Values

    - #### SCHEMA_PROPERTIES

          public static final String SCHEMA_PROPERTIES

      sch-props-correct: See XMLSchema Structures 1.0: Schema Properties Correct
      See Also:
        Constant Field Values

    - #### SCHEMA_PROPERTIES$DUPLICATE

          public static final String SCHEMA_PROPERTIES$DUPLICATE

      sch-props-correct.2: See clause 2 of XMLSchema Structures 1.0: Schema Properties Correct
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_PROPERTIES

          public static final String SIMPLE_TYPE_PROPERTIES

      st-props-correct: See XMLSchema Structures 1.0: Simple Type Definition Properties Correct
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_PROPERTIES$RESTRICTION_FINAL

          public static final String SIMPLE_TYPE_PROPERTIES$RESTRICTION_FINAL

      st-props-correct.3: See clause 3 of XMLSchema Structures 1.0: Simple Type Definition Properties Correct
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_PROPERTIES$LIST_FINAL

          public static final String SIMPLE_TYPE_PROPERTIES$LIST_FINAL

      st-props-correct.4.2.1: See clause 4.2.1 of XMLSchema Structures 1.0: Simple Type Definition Properties Correct
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_PROPERTIES$UNION_FINAL

          public static final String SIMPLE_TYPE_PROPERTIES$UNION_FINAL

      st-props-correct.4.2.2: See clause 4.2.2 of XMLSchema Structures 1.0: Simple Type Definition Properties Correct
      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_RESTRICTION_FACETS

          public static final String SIMPLE_TYPE_RESTRICTION_FACETS

      st-restrict-facets: See XMLSchema Structures 1.0: Simple Type Restriction (Facets)
      See Also:
        Constant Field Values

    - #### DATATYPE_TOTAL_DIGITS_RESTRICTION

          public static final String DATATYPE_TOTAL_DIGITS_RESTRICTION

      totalDigits-valid-restriction: See XMLSchema Datatypes 1.0: totalDigits valid restriction
      See Also:
        Constant Field Values

    - #### WILDCARD_PROPERTIES

          public static final String WILDCARD_PROPERTIES

      w-props-correct: See XMLSchema Structures 1.0: Wildcard Properties Correct
      See Also:
        Constant Field Values

    - #### DATATYPE_WHITESPACE_RESTRICTION

          public static final String DATATYPE_WHITESPACE_RESTRICTION

      whiteSpace-valid-restriction: See XMLSchema Datatypes 1.0: whiteSpace valid restriction
      See Also:
        Constant Field Values

    - #### ANYURI

          public static final String ANYURI

      anyURI: See XMLSchema Datatypes 1.0: anyURI
      See Also:
        Constant Field Values

    - #### BASE64BINARY

          public static final String BASE64BINARY

      base64Binary: See XMLSchema Datatypes 1.0: base64Binary
      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final String BOOLEAN

      boolean: See XMLSchema Datatypes 1.0: boolean
      See Also:
        Constant Field Values

    - #### DATE

          public static final String DATE

      date: See XMLSchema Datatypes 1.0: date
      See Also:
        Constant Field Values

    - #### DECIMAL

          public static final String DECIMAL

      decimal: See XMLSchema Datatypes 1.0: decimal
      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final String DOUBLE

      double: See XMLSchema Datatypes 1.0: double
      See Also:
        Constant Field Values

    - #### DURATION

          public static final String DURATION

      duration: See XMLSchema Datatypes 1.0: duration
      See Also:
        Constant Field Values

    - #### FLOAT

          public static final String FLOAT

      float: See XMLSchema Datatypes 1.0: float
      See Also:
        Constant Field Values

    - #### HEXBINARY

          public static final String HEXBINARY

      hexBinary: See XMLSchema Datatypes 1.0: hexBinary
      See Also:
        Constant Field Values

    - #### INT

          public static final String INT

      int: See XMLSchema Datatypes 1.0: int
      See Also:
        Constant Field Values

    - #### INTEGER

          public static final String INTEGER

      integer: See XMLSchema Datatypes 1.0: integer
      See Also:
        Constant Field Values

    - #### LIST

          public static final String LIST

      list: See XMLSchema Datatypes 1.0: list
      See Also:
        Constant Field Values

    - #### LONG

          public static final String LONG

      long: See XMLSchema Datatypes 1.0: long
      See Also:
        Constant Field Values

    - #### NCNAME

          public static final String NCNAME

      NCName: See XMLSchema Datatypes 1.0: NCName
      See Also:
        Constant Field Values

    - #### NMTOKEN

          public static final String NMTOKEN

      NMTOKEN: See XMLSchema Datatypes 1.0: NMTOKEN
      See Also:
        Constant Field Values

    - #### QNAME

          public static final String QNAME

      QName: See XMLSchema Datatypes 1.0: QName
      See Also:
        Constant Field Values

    - #### UNION

          public static final String UNION

      union: See XMLSchema Datatypes 1.0: union
      See Also:
        Constant Field Values

    - #### ELEM_COMPLEX_TYPE_LOCALLY_VALID$PROHIBITED_ATTRIBUTE

          public static final String ELEM_COMPLEX_TYPE_LOCALLY_VALID$PROHIBITED_ATTRIBUTE

      Found an attribute during validation that was declared use='prohibited': See second NOTE at the end of 3.4.2 XML Representation of Complex Type Definitions.

      > NOTE: The only substantive function of the value prohibited for the `use` attribute of an <attribute> is in establishing the correspondence between a complex type defined by restriction and its XML representation. It serves to prevent inheritance of an identically named attribute use from the {base type definition}. Such an <attribute> does not correspond to any component, and hence there is no interaction with either explicit or inherited wildcards in the operation of Complex Type Definition Validation Rules (3.4.4) or Constraints on Complex Type Definition Schema Components (3.4.6).

      See Also:
        Constant Field Values

    - #### SOAPARRAY

          public static final String SOAPARRAY

      See Also:
        Constant Field Values

    - #### FACET_FIXED

          public static final String FACET_FIXED

      See Also:
        Constant Field Values

    - #### PATTERN_REGEX

          public static final String PATTERN_REGEX

      See Also:
        Constant Field Values

    - #### MISSING_NAME

          public static final String MISSING_NAME

      See Also:
        Constant Field Values

    - #### RESERVED_TYPE_NAME

          public static final String RESERVED_TYPE_NAME

      See Also:
        Constant Field Values

    - #### INVALID_VALUE

          public static final String INVALID_VALUE

      Error code for an invalid attribute value.
      See Also:
        Constant Field Values

    - #### INVALID_VALUE_DETAIL

          public static final String INVALID_VALUE_DETAIL

      Error code for an invalid attribute value.
      See Also:
        Constant Field Values

    - #### INVALID_XPATH

          public static final String INVALID_XPATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmlErrorCodes

          public XmlErrorCodes()